<?php
require_once("dll.php");
$eshop = new eshop();
$variables->getSafeVars(array_keys($_REQUEST));
$id = (int)$_REQUEST['id'];
$order = $content->getContentByID("orders", $id, "*", "*", $langID);
if (!$order) $messages->addError("System error: Order not found");
$bonuses = ($order->bonuses) ? json_decode($order->bonuses, true) : array();
if (!$messages->hasErrors) {
    $order_products = $content->getContent("order_products", " order_products.orderID='$id' ", "*", "*", $langID, " content_order_products.title");
    if (!count($order_products)) $messages->addError("System error: No associated products found for this order");
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="shortcut icon" href="favicon.ico">
    <title>Admin Panel - Order Details</title>
    <link href="css/admin.css" rel="stylesheet" type="text/css">
    <link href="css/orders.css" rel="stylesheet" type="text/css">
    <link href="css/pagination.css" rel="stylesheet" type="text/css">
    <link type="text/css" href="css/select2/select2.css" rel="stylesheet">
    <link rel="stylesheet" media="all" type="text/css" href="css/jquery-impromptu.css">

    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/admin.js"></script>
    <script type="text/javascript" src="js/select2.min.js"></script>
    <script type="text/javascript" src="js/jquery-impromptu.js"></script>
    <!--[if IE 8]>
    <script type="text/javascript" src="js/respond.min.js"></script><![endif]-->
    <script type="text/javascript">

        jQuery(function ($) {
            $(".admin_order_status").each(function () {
                $(this).on('focus', function () {
                    previous = this.value;
                }).change(function () {
                    updateOrderStatus(this, previous);
                    previous = this.value;
                });
            });
        });

        function updateOrderStatus(elm, previous) {
            elm = $(elm);
            var orderID = "<?php echo $id;?>";
            var status = elm.val();
            var color = elm.find('option:selected').data("color");
            var notify = (getCookie('doNotNotifyCustomer') == "true") ? false : confirm(unescapeQuotes("<?php echo t("Θέλετε να ενημερωθεί με e-mail αυτόματα γι' αυτή την αλλαγή ο πελάτης;");?>"));
            var email = elm.data("email");
            notify = Number(notify);
            $('#ajax_loading').show();
            jQuery.ajax({
                type: "POST",
                url: "ajax_orders.php",
                data: "action=update_status&notify=" + notify + "&email=" + email + "&id=" + orderID + "&status=" + status + "&langID=<?php echo $langID;?>",
                async: false,
                success: function (response) {
                    response = response.trim();
                    //console.log(response);
                    if (response == "ok") {
                        elm.css("background-color", "#" + color);
                        var value = elm.val();
                        parent.$('#admin_order_status<?php echo $id;?>').css("background-color", "#" + color);
                        parent.odyshop.doNotNotifyCustomer = true; // prevent duplicate notificaton in auto change event				
                        parent.$('#admin_order_status<?php echo $id;?>').val(value).change();
                    } else {
                        elm.val(previous); // error so restore previous value in status select
                        popup(response, "error", 5000);
                    }
                    $('#ajax_loading').hide();
                }
            });
        }

        function unescapeQuotes(safe) {
            return safe.replace(/&amp;/g, '&')
                .replace(/&quot;/g, '"')
                .replace(/&#034;/g, "'")
                .replace(/&#039;/g, "'");
        }

        function closeOrder() {
            parent.$.fancybox.close();
        }
    </script>
</head>
<body id="inner_page">
<div id="ajax_loading"></div>
<div class="section_title" style="margin-top: 15px;position: relative">
    <?php echo t("Ανάλυση παραγγελίας") . "&nbsp;&nbsp;&nbsp;#" . $id; ?>
    <input type="button" value="<?php echo t("Κλείσιμο"); ?>" onclick="closeOrder()" class="btn btn-inverse close_modal">
</div>
<?php
function getProductIndex($productID) {
    global $order_products;
    $counter = 0;
    foreach ($order_products as $item) {
        if ($item->productID == $productID) return $counter;
        $counter++;
    }
    return false;
}

$total = $total_vat = $total_after_bonus = $discount_after_bonus = $total_vat_after_bonus = $additional_discount = 0; // will be recalculated
$payment_method = $order->payment_method;
$hasShipping = ($order->shipping == "yes");
$doc_type_name = ($order->doc_type == "invoice") ? t("Τιμολόγιο") : t("Απόδειξη λιανικής");
$retailCustomer = $content->getValue("users_types", 4, "title", $langID);
$wholesaleCustomer = $content->getValue("users_types", 5, "title", $langID);
$customerType = ($order->catID == 2) ? $wholesaleCustomer : $retailCustomer;
$comments = $order->comments;
$remarks = $order->remarks;
$discount = (float)$order->discount;
$cod = (float)$parameters->getParameter("cod"); // cash on delivery cost
$items = unserialize(base64_decode($order->cart));
if (!$items) $messages->addError("System error: Cannot get the order's products");
if ($messages->hasErrors) {
    $messages->printErrorMessages();
} else {
    $userID = $order->userID;
    foreach ($items as $item) {
        if (!empty($userID)) { // registered user
            $productID = $item->productID;
            $combination = $item->combination;
            $quantity = $item->quantity;
        } else { // session basket
            list($uid, $productID, $quantity, $combination) = explode("~|~", $item);
        }
        $index = getProductIndex($productID);
        $image = $eshop->getProductImage($productID, $combination);
        $image = ($image) ? $image : "";
        $code = $content->getValue("products", $productID, "code", $langID);
        $order_products[$index]->image = $image;
        $order_products[$index]->quantity = $quantity;
        $order_products[$index]->code = $code;
    }
    ?>
    <section class="container" id="order_details">
        <div class="group">
            <div class="grid-3">
                <div class="order_details_grid order_details_left">
                    <h3><?php echo t("ΠΛΗΡΟΦΟΡΙΕΣ ΠΕΛΑΤΗ"); ?></h3>
                    <h4>&nbsp;<?php echo t("Στοιχεία χρέωσης"); ?></h4>
                    <p><?php echo str_replace("[Στοιχεία τιμολόγησης]", t("Στοιχεία τιμολόγησης"), $order->billing_details); ?></p>
                    <hr>
                    <h4>&nbsp;<?php echo t("Στοιχεία αποστολής"); ?></h4>
                    <p><?php echo $order->shipping_details; ?></p>
                    <h4>&nbsp;<?php echo t("Κατηγορία"); ?></h4>
                    <p><?php echo $customerType; ?></p>

                    <?php
                    if ($comments) {
                        ?>
                        <br>
                        <h3><?php echo t("ΣΧΟΛΙΑ ΠΕΛΑΤΗ"); ?></h3>
                        <div class="customer_comments"><?php echo nl2br($comments); ?></div>
                        <?php
                    }
                    ?>
                </div>
            </div>
            <div class="grid-6">
                <div class="order_details_grid">
                    <div style="text-align: right; margin-bottom: 20px; margin-top: -5px;">
                        <a href="../exportPDF.php?id=<?php echo $id; ?>&admin=<?php echo $adminPass; ?>" class="btn btn-info export_pdf_admin"><?php echo t("Εξαγωγή σε PDF"); ?></a>
                        <a href="admin_edit_order.php?id=<?php echo $id; ?>" class="btn btn-info"><?php echo t("Επεξεργασία"); ?></a>
                    </div>
                    <table id="order_products_list">
                        <thead>
                        <tr>
                            <th><?php echo t("Προϊόν"); ?></th>
                            <th><span class="center"><?php echo t("Τιμή"); ?></span></th>
                            <th><span class="center"><?php echo t("Ποσότητα"); ?></span></th>
                            <th><span class="center"><?php echo t("Μερικό σύνολο"); ?></span></th>
                        </tr>
                        </thead>
                        <?php
                        $product_data = array();
                        foreach ($order_products as $product) {
                            list($title, $combination) = explode(" | ", $product->title);
                            $price = (float)$product->price_before_bonus;
                            $price_after_bonus = $product->price;
                            $bonus_price = (float)$bonuses['total'];
                            $include_vat = $eshop->isVatIncluded($price_after_bonus, $price, $product->vat_percent, $bonus_price);
                            if($include_vat){
                                $price_after_bonus = $eshop->removeVat($price_after_bonus, $product->vat_percent);
                            }
                            $total_after_bonus += $price_after_bonus;
                            $quantity = $product->quantity;
                            $product_data[$product->productID]['title'] = $title;
                            $product_data[$product->productID]['init_price'] = $price;
                            $product_data[$product->productID]['quantity'] = $quantity;
                            $product_data[$product->productID]['combination'] = $combination;
                            $product_data[$product->productID]['vat_percent'] = $product->vat_percent;
                            $subtotal = $eshop->formatPrice($price * $quantity);
                            $total += $price * $quantity;
                            $total_vat += $eshop->getVat($price * $quantity, $product->vat_percent);
                            $discount_after_bonus += (($price - $price_after_bonus) * $quantity);
                            $total_vat_after_bonus += $eshop->getVat($price_after_bonus * $quantity, $product->vat_percent);
                            $image = $product->image;
                            $image = (empty($image)) ? "images/no_product_image.png" : "../mediabank/thumbs/small_" . $image;
                            $code = $product->code;
                            $weight = $product->weight;
                            ?>
                            <tr>
                                <td data-title="<?php echo t("Προϊόν"); ?>">
                                    <div class="prod_thumb_wrapper<?php if ($image == "images/no_product_image.png") echo " no_image"; ?>">
                                        <img src="<?php echo $image; ?>">
                                    </div>
                                    <?php
                                    echo $title;
                                    if ($combination) echo '<div class="combination">' . $combination . '</div>';
                                    if ($code) echo '<div class="code"><span class="code_title">' . t("Κωδικός") . " : </span>" . $code . '</div>';
                                    ?>
                                </td>
                                <td data-title="<?php echo t("Τιμή"); ?>">
                                    <span class="right"><?php echo $eshop->formatPrice($price); ?></span>
                                </td>
                                <td data-title="<?php echo t("Ποσότητα"); ?>">
                                    <span class="center"><?php echo $quantity; ?></span>
                                </td>
                                <td data-title="<?php echo t("Μερικό σύνολο"); ?>">
                                    <span class="right"><?php echo $subtotal; ?></span>
                                </td>
                            </tr>
                            <?php
                        }
                        ?>
                        <tr class="no_border total_amount">
                            <td colspan="4" class="totals"><?php echo t("Σύνολα"); ?></td>
                        </tr>
                        <tr class="no_border total_amount">
                            <td colspan="3" style="text-align: right;"><?php echo t("Αξία παραγγελίας"); ?> :</td>
                            <td><span class="right"><?php echo $eshop->formatPrice($total); ?></span></td>
                        </tr>
                        <tr class="no_border total_amount">
                            <td colspan="3" style="text-align: right;"><?php echo t("Συνολικό ΦΠΑ"); ?> :</td>
                            <td><span class="right"><?php echo $eshop->formatPrice($total_vat); ?></span></td>
                        </tr>
                        <?php
                        $final_total = (float)$total;
                        if ($hasShipping) {
                            $final_total += (float)$order->shipping_cost;
                            ?>
                            <tr class="no_border total_amount">
                                <td colspan="3" style="text-align: right;"><?php echo t("Έξοδα αποστολής"); ?> :</td>
                                <td><span class="right"><?php echo $eshop->formatPrice($order->shipping_cost); ?></span></td>
                            </tr>
                            <?php
                        }
                        if ($order->payment_method == "cod") {
                            $final_total += (float)$cod;
                            ?>
                            <tr class="no_border total_amount">
                                <td colspan="3" style="text-align: right;"><?php echo t("Έξοδα αντικαταβολής"); ?> :</td>
                                <td><span class="right"><?php echo $eshop->formatPrice($cod); ?></span></td>
                            </tr>
                            <?php
                        }
                        $additional_discount = (!empty($discount)) ? $discount : $additional_discount; // any additional discount added to bonus discount
                        $discount = (!empty($discount)) ? $discount + $discount_after_bonus : $discount_after_bonus;
                        if ($discount) $final_total = $final_total - $discount;
                        $discount_vat_diff = $total_vat - $total_vat_after_bonus;
                        $total_vat = (!empty($total_vat_after_bonus)) ? $total_vat_after_bonus : $total_vat;
//                                                debug("total_vat_after_bonus " . $total_vat_after_bonus);
//                                                debug("discount " . $discount);
//                                                debug("net_total " . $final_total);
//                                                debug("total_vat " . $total_vat);
                        $final_total += $total_vat;
//                                                debug("final_total " . $final_total);
                        ?>
                        <tr class="no_border total_amount">
                            <td colspan="3" style="text-align: right;"><?php echo t("Έκπτωση"); ?> :</td>
                            <td><span class="right">- <?php echo $eshop->formatPrice($discount + $discount_vat_diff); ?></span></td>
                        </tr>
                        <tr class="total_amount">
                            <td colspan="4"></td>
                        </tr>
                        <tr class="no_border total_amount">
                            <td colspan="3" style="text-align: right;" class="totals"><?php echo t("Τελικό σύνολο"); ?> :</td>
                            <td><span class="right totals final_total"><?php echo $eshop->formatPrice($final_total); ?></span></td>
                        </tr>
                    </table>
                    <?php
                    if ($bonuses) {
                        global $variables;
                        ?>
                        <h3 class="remarks_heading"><?php echo t("Με την παραγγελία αυτή έχετε κέρδος:"); ?></h3>
                        <?php
                        $bonuses_html = '<table width="100%" cellpadding="5" style="margin-bottom: 30px;">';
                        foreach ($bonuses as $key => $bonus) {
                            if ($key == "shipping_cost" && !(float)$order->shipping_cost) {
                                $bonuses_html .= '<tr><td colspan="5"><br><img src="../images/ok_small.png" alt="bullet"><b>' . t("Δωρεάν έξοδα αποστολής") . '</b><br><br></td></tr>' . PHP_EOL;
                                continue;
                            }
                            if ($key == "products" && is_array($bonus)) {
                                $bonuses_html .= '<tr><td colspan="5"><br><img src="../images/ok_small.png" alt="bullet"><b>' . t("Έκπτωση στα ακόλουθα προϊόντα:") . '</b></td></tr>' . PHP_EOL;
                                foreach ($bonus as $id => $product) {
                                    $title = $product_data[$id]['title'];
                                    $combination = $product_data[$id]['combination'];
                                    $quantity = $product_data[$id]['quantity'];
                                    $init_price = $product_data[$id]['init_price'];
                                    $price = $eshop->getProductPrice($id, $combination, 1, $bonuses);
                                    // include vat to table prices
                                    $init_price = $eshop->includeVat($init_price, $product_data[$id]['vat_percent']);
                                    $price = $eshop->includeVat($price, $product_data[$id]['vat_percent']);
                                    $bonuses_html .= '<tr style="font-size: 14px;"><td colspan="2" valign="top" style="border-bottom: 1px solid #A8A8A8;padding-left: 28px;"><span class="order_details_title rainbow_color">' . $variables->filterQuotes($title) . '</span></td><td valign="top" align="center" style="border-bottom: 1px solid #A8A8A8; white-space:nowrap">' . $quantity . ' X </td><td valign="top" style="border-bottom: 1px solid #A8A8A8;">' . $eshop->formatPrice($price) . '</td><td valign="top" style="border-bottom: 1px solid #A8A8A8;">&nbsp;' . t("από") . '&nbsp;&nbsp;<span style="text-decoration: line-through;color: #B40044;padding-left: 10px;">' . $eshop->formatPrice($init_price) . '</span></td></tr>' . PHP_EOL;
                                }
                            }
                        }
                        $bonuses_html .= '<tr><td colspan="5" style="text-align: right; font-style: italic; color:grey; font-size: .85em">('.t("Οι τιμές συμπεριλαμβάνουν ΦΠΑ").')</td></tr>' . PHP_EOL;
                        if ((float)$additional_discount) {
                            $bonuses_html .= '<tr><td colspan="5"><br><img src="../images/ok_small.png" alt="bullet"><b>' . t("Extra έκπτωση") . ': ' . $eshop->formatPrice($additional_discount) . '</b><br><br></td></tr>' . PHP_EOL;
                        }
                        $bonuses_html .= '</table>';
                    }
                    echo $bonuses_html;

                    if ($remarks) {
                        ?>
                        <h3 class="remarks_heading"><?php echo t("ΠΑΡΑΤΗΡΗΣΕΙΣ"); ?></h3>
                        <div class="remarks">
                            <?php
                            echo nl2br($remarks);
                            ?>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="edit_bottom">
                        <a href="../exportPDF.php?id=<?php echo $id; ?>&admin=<?php echo $adminPass; ?>" class="btn btn-info export_pdf_admin"><?php echo t("Εξαγωγή σε PDF"); ?></a>
                        <a href="admin_edit_order.php?id=<?php echo $id; ?>" class="btn btn-info"><?php echo t("Επεξεργασία"); ?></a>
                    </div>
                </div>
            </div>
            <?php
            $order_statuses = $content->getContent("order_statuses", NULL, array('f_color', 'b_color'), array('title'), $langID, " order_statuses.sort");
            $order_status = $content->getValue("order_statuses", $order->status, "title", $langID);
            $color = $content->getValue("order_statuses", $order->status, "f_color", $langID);
            $bgcolor = $content->getValue("order_statuses", $order->status, "b_color", $langID);
            $payment_method_title = $eshop->getPaymentMethodProperty("title", $payment_method, $langID);
            $shipping_method = ($hasShipping) ? t("Αποστολή με υπηρεσία Courier") : t("Παραλαβή από το κατάστημα");
            $email = $order->email;
            ?>
            <div class="grid-3">
                <div class="order_details_grid order_details_right">
                    <div class="order_details_right_block">
                        <label for "admin_order_date">
                        <?php echo t("Ημερομηνία παραγγελίας"); ?> :&nbsp;&nbsp;
                        </label>
                        <span id="admin_order_date"><?php echo $dates->makeDatefromTimestamp($order->order_date, true); ?></span>
                    </div>
                    <div class="order_details_right_block">
                        <label for "admin_order_status">
                        <?php echo t("Κατάσταση παραγγελίας"); ?> :&nbsp;&nbsp;
                        </label>
                        <select
                            data-email="<?php echo $email; ?>"
                            class="listbox admin_order_status"
                            id="admin_order_status"
                            style="background-color: #<?php echo $bgcolor; ?>">
                            <?php

                            foreach ($order_statuses as $thisStatus) {
                                $selected = ($thisStatus->id == $order->status) ? ' selected="selected"' : NULL;
                                ?>
                                <option
                                    data-color="<?php echo $thisStatus->b_color; ?>"
                                    value="<?php echo $thisStatus->id; ?>"
                                    style="background-color: #fff; color: #<?php echo $thisStatus->b_color; ?>"<?php echo $selected; ?>>
                                    <?php echo $thisStatus->title; ?>
                                </option>
                                <?php
                            }
                            ?>
                        </select>
                    </div>
                    <div class="order_details_right_block">
                        <label for "admin_order_doctype">
                        <?php echo t("Είδος παραστατικού"); ?> :&nbsp;&nbsp;
                        </label>
                        <span id="admin_order_doctype"><?php echo $doc_type_name; ?></span>
                    </div>

                    <div class="order_details_right_block">
                        <label for "admin_order_payment_method">
                        <?php echo t("Μέθοδος πληρωμής"); ?> :&nbsp;&nbsp;
                        </label>
                        <span id="admin_order_payment_method"><?php echo $payment_method_title; ?></span>
                        <?php
                        if ($payment_method == "cod") echo "<div class='payment_details'>" . t("Έξοδα αντικαταβολής") . " : " . $eshop->formatPrice($cod) . "</div>";
                        ?>
                    </div>
                    <div class="order_details_right_block">
                        <label for "admin_order_shipping">
                        <?php echo t("Τρόπος παραλαβής προϊόντων"); ?> :&nbsp;&nbsp;
                        </label>
                        <span id="admin_order_shipping"><?php echo $shipping_method; ?></span>
                        <?php
                        if ($hasShipping) echo "<div class='payment_details'>" . t("Έξοδα αποστολής") . " : " . $eshop->formatPrice($order->shipping_cost) . "</div>";
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php
}
?>
</body>
</html>
