<?php
require_once("dll.php");

$langID = $language->getDefaultLanguage();
$parameters->importParameters();
$isMultilingualSite = $language->isMultilingualSite();
$variables->getSafeVars(array('bankID', 'linkID', 'sectionID'));

?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="shortcut icon" href="favicon.ico">
    <title>Admin Panel</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="css/admin.css" rel="stylesheet" type="text/css">
    <link href="css/sort.css" rel="stylesheet" type="text/css">
    <link type="text/css" href="css/ui/jquery-ui-odyshop.css" rel="stylesheet">
    <link rel="stylesheet" media="all" type="text/css" href="css/jquery-impromptu.css">

    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/admin.js"></script>
    <script type="text/javascript" src="js/jquery-ui-All.min.js"></script>
    <script type="text/javascript" src="js/jquery.ajaxform.js"></script>
    <script type="text/javascript" src="js/jquery-impromptu.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#sort-list-images").sortable({
                handle: '.handle',
                update: function () {
                    var order = $('#sort-list-images').sortable('serialize');
                    $("#sortInfo").load("sort.php?" + order + "&table=images");
                }
            });
            $("#sort-list-files").sortable({
                handle: '.handle',
                update: function () {
                    var order = $('#sort-list-files').sortable('serialize');
                    $("#sortInfo").load("sort.php?" + order + "&table=files");
                }
            });
            $('.trigger_crop').on('click', function(e){
                var elm  = $(e.target);
                var imageID = elm.attr('data-imageID');
                var parent_link = parent.$('#crop');
                var href = parent_link.attr('href');
                parent_link.attr('href', href + imageID);
                parent.$('#crop').trigger('click');
                parent_link.attr('href', href); // restore original href
            });
        });

        function setDragStyle(elm, typeOfEvent) {
            if (typeOfEvent == "startDrag") {
                hideRecords();
                elm.parentNode.style.border = "dashed 3px #7b8168";
                elm.parentNode.style.background = "#ededed";
            } else {
                elm.parentNode.style.border = "dashed 3px transparent";
                elm.parentNode.style.borderBottom = "dashed 3px silver";
            }
        }

        function showFields(id) {
            hideRecords();
            $('#button_' + id).hide();
            $('#record_' + id).show('fast');
        }

        function hideRecords() {
            $('.attachment_record').each(function () {
                $(this).hide();
            });
            $('.attachment_button').each(function () {
                $(this).show('fast');
            });
        }

        function saveForm(id) {
            $('#submit_' + id).attr('value', t('Αποστολή δεδομένων'));
            $("#form_" + id).ajaxSubmit({
                url: 'ajax_attachments.php',
                type: 'post',
                success: showResponse
            });
        }

        function showResponse(responseText, statusText, xhr, $form) {
            //console.log(responseText);
            if (statusText != "success") {
                popup(t("Υπήρξε κάποιο πρόβλημα κατά την αποθήκευση των δεδομένων"), "popup-warning");
            } else {
                var data = responseText.split("~~|~~");
                var id = data[0];
                var title = data[1];
                if (parseInt(id) > 0) {
                    $('#submit_' + id).attr('value', t('Αποθηκεύθηκε'));
                    if (title) $('#caption_' + id).html(title);
                    setTimeout(function () {
                        $('#submit_' + id).attr('value', t('Αποθήκευση'));
                        hideRecords();
                    }, 2000);
                } else {
                    popup(t("Σφάλμα") + ": " + responseText, "popup-warning");
                }
            }
        }

        function showHide(elm) {
            default_obj = document.getElementById('default');
            slider_obj = document.getElementById('slider');
            logo_obj = document.getElementById('logo');
            if (elm.id == "logo") {
                if (elm.checked) {
                    default_obj.checked = false;
                    default_obj.disabled = true;
                    slider_obj.checked = false;
                    slider_obj.disabled = true;
                } else {
                    default_obj.disabled = false;
                    slider_obj.disabled = false;
                }
            }
            if (elm.id == "slider") {
                if (elm.checked) {
                    default_obj.checked = false;
                    default_obj.disabled = true;
                    logo_obj.checked = false;
                    logo_obj.disabled = true;
                } else {
                    default_obj.disabled = false;
                    logo_obj.disabled = false;
                }
            }
        }

    </script>
    <style type="text/css">
        <!--
        body {
            overflow: auto;
            background: #ededed;
        }

        -->
    </style>
    <?php include("includes/languages.css.php"); ?>
</head>
<body id="inner_page">
<div id="sortInfo"></div>
<div class="section_title"><?php echo t("ΜΕΤΟΝΟΜΑΣΙΑ ή ΤΑΞΙΝΟΜΗΣΗ ΕΠΙΣΥΝΑΠΤΟΜΕΝΩΝ ΕΙΚΟΝΩΝ & ΑΡΧΕΙΩΝ"); ?></div>
<?php
$query_images = "SELECT distinct `bankID`, `id`, `default`, `slider`, `logo`, `language_id` FROM `images` WHERE `linkID`=" . $linkID . " AND `sectionID`=" . $sectionID . " order by sort";
$query_files = "SELECT distinct `bankID`, `id`, `language_id` FROM `files` WHERE `linkID`=" . $linkID . " AND `sectionID`=" . $sectionID . " order by sort";
$results_images = $db->query($query_images);
$results_files = $db->query($query_files);
$records_images = $db->getRows($results_images);
$records_files = $db->getRows($results_files);
if (!count($records_images) && !count($records_files)) {
    ?>
    <script>    parent.$('#attachments_instructions').css('display', 'none'); </script>
    <div style="height:50px">&nbsp;</div>
    <?php
    $messages->addMessage(t("Δεν έχετε επισυνάψει ακόμα, κανένα αρχείο στην συγκεκριμένη εγγραφή") . "!");
    $messages->printSystemMessages();
} else {
    $hasCrops = $content->getContent("crops", " crops.sectionID=$sectionID", "*", array('title'), $langID);
}
?>
<div id="attachments_results">
    <div style="text-align:right;">
        <input type="button" class="btn btn-warning" style="margin-top: -30px" value="<?php echo t("Επιστροφή"); ?>" onclick="parent.$.fancybox.close()">
    </div>
    <div style="font-size: .9em; text-align:right;"><?php echo t("Για νέα ταξινόμηση σύρτε τα εικονίδια στην επιθυμητή θέση"); ?></div>
    <ul id="sort-list-images" style="list-style-type:none; width:85%; display:table; margin: 0 auto;">
        <?php
        foreach ($records_images as $row) {
            $ext = $fileSystem->getExtensionByFileTypeID($fileSystem->getFileTypeID($row->bankID));
            ?>
            <li id="listItem_<?php echo $row->id; ?>" style="border-bottom: dashed 3px silver; padding-bottom:5px;">
                <div class="handle" onmousedown="setDragStyle(this, 'startDrag');" onmouseup="setDragStyle(this, 'stopDrag');" style="display:table; margin: 0 auto;">
                    <img src="images/arrow.png" alt="move" width="24" height="24" align="absmiddle" style="margin-bottom: -30px; position:relative; z-index:100; cursor:move">
				<span class="sort_title" onselectstart="return false;" onmousedown="return false;">
					<div class="delete_attachment_container" style="padding-top:15px; height: 100px; overflow:hidden">
                        <?php
                        $title = $fileSystem->getFileTitle("images", $row->id, $linkID, $row->bankID);
                        $temp = $db->query("select * from images where id='$row->id'");
                        $temprow = $db->getRow($temp);
                        $attachment_type = NULL;
                        if ($temprow->default == "1") $attachment_type = "<br><span class='image_default'>Default</span>";
                        if ($temprow->logo == "1") $attachment_type = "<br><span class='image_logo'>Logo</span>";
                        if ($temprow->slider == "1") $attachment_type = "<br><span class='image_slider'>Slider</span>";
                        if($hasCrops) {
                            ?>
                            <a data-imageID="<?php echo $row->id; ?>" href="javascript:void(0)" class="crop_btn trigger_crop crop_btn_right" title="Crop size"></a>
                            <?php
                        }
                        ?>
                        <img src="<?php echo $domainPath . getFPath(true); ?>mediabank/thumbs/small_<?php echo $row->bankID . '.' . $ext; ?>?r=<?php echo @time(); ?>" border="0">
                        <?php
                        echo $attachment_type;
                        ?>
                    </div>
				</span>
                </div>
                <a id="button_<?php echo $row->id; ?>"
                   class="btn btn-info attachment_button"
                   href="javascript:void(0)"
                   style="display:block; margin-top: 10px;"
                   onclick="showFields('<?php echo $row->id; ?>');">
                    <?php echo t("Εμφάνιση στοιχείων προς επεξεργασία"); ?>
                    <br> <span style="font-size:.85em; color:lightgrey">«<?php echo $title; ?>»</span>
                </a>
                <form id="form_<?php echo $row->id; ?>" class="admin_form form_centered" style="min-width:260px">
                    <div id="record_<?php echo $row->id; ?>" class="normal attachment_record" style="float:left;margin:20px 0; display:none;">
                        <?php
                        $Lresult = $db->query("SELECT * FROM languages WHERE active=1 ");
                        $LRecords = $db->getRows($Lresult);
                        $fileID = $row->id;
                        foreach ($LRecords as $Lrow) {
                            $languageID = $Lrow->id;
                            $title = $db->getRecord("select title from content_images where imgID='$fileID' and langID='$languageID'")->title;
                            $extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
                            ?>
                            <div class="admin_form_element">
                                <div class="admin_label admin_flag"> <?php echo t("Τίτλος"); ?> :</div>
                                <div class="flaged_wrapper">
                                    <div class="flag_border"></div>
                                    <input name="title<?php echo $extension; ?>" id="title<?php echo $extension; ?>" type="text" class="listbox flaged flag<?php echo $extension; ?>" placeholder="<?php if ($Lrow->extension && $isMultilingualSite) {
                                        echo(' ' . t('στα') . ' ' . $Lrow->title);
                                    } ?>" value="<?php echo $title; ?>">
                                </div>
                            </div>
                            <?php
                        }
                        foreach ($LRecords as $Lrow) {
                            $languageID = $Lrow->id;
                            $description = $db->getRecord("select description from content_images where imgID='$fileID' and langID='$languageID'")->description;
                            $extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
                            $placeholder = ($isMultilingualSite) ? t('στα') . ' ' . $Lrow->title : NULL;
                            ?>
                            <div class="admin_form_element">
                                <div class="admin_label<?php echo $flag_class; ?>"> <?php echo t("Περιγραφή"); ?> <span class="definition">(<?php echo t("θα εμφανίζεται ώς λεζάντα") . " " . $placeholder; ?>)</span>:</div>
                                <div class="flaged_wrapper">
                                    <div class="flag_border"></div>
                            <textarea name="description<?php echo $extension; ?>" id="description<?php echo $extension; ?>" rows="3" class="listbox flaged flag<?php echo $extension; ?>"><?php echo $description; ?>
</textarea>
                                </div>
                            </div>
                            <?php
                        }
                        $default_attr = ($row->default == "1") ? "checked" : NULL;
                        $default_attr = ($row->slider == "1" || $row->logo == "1") ? "disabled" : $default_attr;
                        $slider_attr = ($row->slider == "1") ? "checked" : NULL;
                        $slider_attr = ($row->logo == "1") ? "disabled" : $slider_attr;
                        $logo_attr = ($row->logo == "1") ? "checked" : NULL;
                        $logo_attr = ($row->slider == "1") ? "disabled" : $logo_attr;
                        ?>
                        <div class="admin_form_element">
                            <div class="admin_checkbox_wrapper">
                                <input name="default" type="checkbox" id="default" value="1" <?php echo $default_attr; ?>>
                                <p><?php echo t("να θεωρείται η εξ ορισμού κύρια εικόνα"); ?></p>
                            </div>
                        </div>
                        <div class="admin_form_element">
                            <div class="admin_checkbox_wrapper">
                                <input name="slider" type="checkbox" id="slider" value="1" <?php echo $slider_attr; ?> onClick="showHide(this)">
                                <p><?php echo t("να χρησιμοποιηθεί μόνο σε slider"); ?></p>
                            </div>
                        </div>
                        <div class="admin_form_element">
                            <div class="admin_checkbox_wrapper">
                                <input name="logo" type="checkbox" id="logo" value="1" <?php echo $logo_attr; ?> onClick="showHide(this)">
                                <p><?php echo t("να χρησιμοποιηθεί ως logo (λογότυπο)"); ?></p>
                            </div>
                        </div>
                        <div class="admin_form_element">
                            <div class="admin_label<?php echo $flag_class; ?>">
                                <?php echo t("Εμφάνιση σε"); ?> : <select name="language_id" class="listbox attachment_languages">
                                    <?php
                                    $selected_language = ($row->language_id == '0') ? " selected" : "";
                                    ?>
                                    <option value="0"<?php echo $selected_language;?>><?php echo t("όλες τις γλώσσες"); ?></option>
                                    <?php
                                    $q = "select * from `languages` where active='1' ";
                                    $languages = $db->getRecords($q);
                                    foreach ($languages as $lang_row) {
                                        $langTitle = ($langID == 1) ? $lang_row->title : $lang_row->title_translated;
                                        $selected_language = ($row->language_id == $lang_row->id) ? " selected" : "";
                                        ?>
                                        <option value="<?php echo $lang_row->id; ?>"<?php echo $selected_language;?>><?php echo $langTitle; ?></option>
                                        <?php
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                        <div class="admin_form_element">
                            <input id="submit_<?php echo $row->id; ?>" type="button" class="btn btn-success" value="<?php echo t("Αποθήκευση"); ?>" onclick="saveForm('<?php echo $row->id; ?>');">
                            <?php
                            if($hasCrops) {
                                ?>
                                <a data-imageID="<?php echo $row->id; ?>" href="javascript:void(0)" class="btn btn-info trigger_crop"><?php echo 'Crop size'; ?></a>
                                <?php
                            }
                            ?>
                            <input name="writedata" type="hidden" id="writedata" value="1">
                            <input name="attachment_section" type="hidden" value="images">
                            <input name="linkID" type="hidden" id="linkID" value="<?php echo $linkID; ?>">
                            <input name="fileID" type="hidden" id="fileID" value="<?php echo $row->id; ?>">
                            <input name="sectionID" type="hidden" id="sectionID" value="<?php echo $sectionID; ?>">
                        </div>
                    </div>
                </form>
                <div style="clear:both;"></div>
            </li>
            <?php
        }
        ?>
    </ul>
    <?php
    if (count($records_files)) {
        ?>
        <div class="other_files"><?php echo t("Άλλοι τύποι αρχείων"); ?></div>
        <?php
    }
    ?>
    <ul id="sort-list-files" style="list-style-type:none; width: 300px; max-width:85%; display:table; margin: 0 auto;">
        <?php
        foreach ($records_files as $row) {
            $fileID = $row->id;
            $ext = $fileSystem->getExtensionByFileTypeID($fileSystem->getFileTypeID($row->bankID));
            ?>
            <form id="form_<?php echo $row->id; ?>">
                <li id="listItem_<?php echo $row->id; ?>" style="border-bottom: dashed 3px silver; padding-bottom:5px">
                    <div class="handle" onmousedown="setDragStyle(this, 'startDrag');" onmouseup="setDragStyle(this, 'stopDrag');" style="display:table; margin: 0 auto;">
                        <img src="images/arrow.png"
                             alt="move"
                             width="24"
                             height="24"
                             align="absmiddle"
                             style="margin-bottom: -30px; position:relative; z-index:100; cursor:move">
                    <span class="sort_title" onselectstart="return false;" onmousedown="return false;">
						<div class="delete_attachment_container" style="padding-top:15px; height: 100px; overflow:hidden">
                            <?php
                            $title = $fileSystem->getFileTitle("files", $row->id, $linkID, $row->bankID);
                            ?>
                            <img src="<?php echo $domainPath . getFPath(true); ?>mediabank/icons/filetype_<?php echo $ext; ?>.gif" border="0">
                            <br>
							<span class="file_caption" id="caption_<?php echo $row->id; ?>">
                    	    <?php echo $db->getRecord("select title from content_files where fileID='$fileID' and langID='1'")->title; ?>
							</span>
                        </div>
                    </span>
                    </div>
                    <a id="button_<?php echo $row->id; ?>"
                       class="btn btn-info attachment_button"
                       href="javascript:void(0)"
                       style="display:block; margin-top: 10px;"
                       onclick="showFields('<?php echo $row->id; ?>');">
                        <?php echo t("Εμφάνιση στοιχείων προς επεξεργασία"); ?>
                    </a>
                    <div id="record_<?php echo $row->id; ?>" class="normal attachment_record" style="float:left;margin:20px 0; width:300px; max-width:95%;display:none;">
                        <?php
                        $Lresult = $db->query("SELECT * FROM languages WHERE active=1 ");
                        $LRecords = $db->getRows($Lresult);
                        foreach ($LRecords as $Lrow) {
                            $languageID = $Lrow->id;
                            $title = $db->getRecord("select title from content_files where fileID='$fileID' and langID='$languageID'")->title;
                            $extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
                            ?>

                            <div class="admin_form_element">
                                <div class="admin_label admin_flag"> <?php echo t("Τίτλος"); ?> :</div>
                                <div class="flaged_wrapper">
                                    <div class="flag_border"></div>
                                    <input name="title<?php echo $extension; ?>" id="title<?php echo $extension; ?>" type="text" class="listbox flaged flag<?php echo $extension; ?>" placeholder="<?php if ($Lrow->extension && $isMultilingualSite) {
                                        echo(' ' . t('στα') . ' ' . $Lrow->title);
                                    } ?>" value="<?php echo $title; ?>">
                                </div>
                            </div>
                            <?php
                        }
                        ?>
                        <div class="admin_form_element">
                            <div class="admin_label<?php echo $flag_class; ?>">
                                <?php echo t("Εμφάνιση σε"); ?> : <select name="language_id" class="listbox attachment_languages">
                                    <?php
                                    $selected_language = ($row->language_id == "0") ? " selected" : "";
                                    ?>
                                    <option value="0" selected><?php echo t("όλες τις γλώσσες"); ?></option>
                                    <?php
                                    $q = "select * from `languages` where active='1' ";
                                    $languages = $db->getRecords($q);
                                    foreach ($languages as $lang_row) {
                                        $langTitle = ($langID == 1) ? $lang_row->title : $lang_row->title_translated;
                                        $selected_language = ($row->language_id == $lang_row->id) ? " selected" : "";
                                        ?>
                                        <option value="<?php echo $lang_row->id; ?>"<?php echo $selected_language;?>><?php echo $langTitle; ?></option>
                                        <?php
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                        <div class="admin_form_element">
                            <input id="submit_<?php echo $row->id; ?>" type="button" class="btn btn-success" value="<?php echo t("Αποθήκευση"); ?>" onclick="saveForm('<?php echo $row->id; ?>');">
                            <input name="writedata" type="hidden" id="writedata" value="1">
                            <input name="attachment_section" type="hidden" value="files">
                            <input name="linkID" type="hidden" id="linkID" value="<?php echo $linkID; ?>">
                            <input name="fileID" type="hidden" id="fileID" value="<?php echo $row->id; ?>">
                            <input name="sectionID" type="hidden" id="sectionID" value="<?php echo $sectionID; ?>"></td>
                        </div>
                    </div>
                    <div style="clear:both;"></div>
                </li>
            </form>
            <?php
        }
        ?>
    </ul>
</div>
<div style="height:40px;"></div>
</body>
</html>
