<?php  
require_once("dll.php");

$variables->getSafeVars(array('lat','lng','zoom','kml'));
$langID = $language->getDefaultLanguage();
$defaultLAT = "37.98413";
$defaultLNG = "23.72808";
$defaultZOOM = 6;

$lat = ($lat) ? $lat: $defaultLAT;
$lng = ($lng) ? $lng: $defaultLNG;
$zoom = ((int)$_GET['zoom'] > 0) ? (int)$_GET['zoom']: $defaultZOOM;

$mid = $_GET['mid']; // module ID if the call is from modules.php

?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="shortcut icon" href="favicon.ico">
<style  type="text/css">
@import url(https://fonts.googleapis.com/css?family=Ubuntu+Condensed&subset=latin,greek);
body{
	color: #fff;
	background: #272727 url(images/blank.gif);
	padding:2px;
	font-family: 'Ubuntu Condensed', sans-serif;
	font-size: 1em;
	overflow: auto;
}
input, textarea, keygen, select, button{
	font-family: inherit !important;
	font-size: inherit !important;
}
#results a{
	display:block;
	padding: 4px 6px;
	background: #3f3f3f;
	color:#d1d1d1;
	margin: 2px 0;
	text-decoration:none;
}
#results a:hover{
	color:#fff;
	background-color: #bf3167;
}
.listbox { 
	color: #000000; 
	background: #f7f7f7;
    padding:3px;
    border: none;
}
.error{
    background: #7a0000;
    padding:20px 5px;
    color: white;
	width:95%;
	max-width:400px;
    margin:15px auto;
	text-align:center;
	text-shadow: 1px 1px 1px rgba(0, 0, 0, 1);
}
.error div{
	text-align: left;
}
#search_wrapper{
	text-align:center; 
	margin: 20px auto; 
	width: 100%; 
	max-width: 300px;
}
#search{
	display:inline-block;
	position: relative;
	margin-left:-40px;
	width:80%;
}
#search_btn{
	display:block;
	position: absolute;
	top: 0;
	right: -43px;
	width: 30px;
	height:30px;
	background: #bf3167 url(images/search_bg_magnifier.png) center center no-repeat;
}
#address{
	padding-right: 40px;
	width:100%;
	max-width:400px; 
	height: 24px; 
	outline:none;
}
.edit_category {
    display: block;
    font-size: 1em;
    color: #21252A;
    padding: 3px 3px 4px 10px;
    text-decoration: none;
    line-height: 25px;
    border-width: 2px;
    border-style: solid;
    border-color: transparent transparent #E0E0E0;
    -moz-border-top-colors: none;
    -moz-border-right-colors: none;
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    border-image: none;
}
.edit_category:hover {
    color: #FFF;
    background: transparent linear-gradient(to bottom, #BF3167 0%, #9A2A54 97%, #9A2A54 97%, #9A2A54 100%) repeat scroll 0% 0%;
    border-color: #E32D72 #753B51 #753B51 #E32D72;
}
#kml_results{
	display: none;
	margin: 20px 10px 10px;
	padding: 10px;
	background-color: #EDEDED;
}
#load_kml{
	display: inline-block;
	padding: 4px 20px;
	color: white;
	background-color: #9c2150; 
	float: right;
	border: none;
	margin-right: 10px;	
	text-decoration: none;	
}
#load_kml:hover{
	background-color: #BF3167;	
}
#cancel_kml{
	display: table;
	margin: 5px auto;
	padding: 4px 20px;
	color: white;
	background-color: #a60000; 
	text-decoration: none;	
}
#cancel_kml:hover{
	background-color: #d10000;	
}
</style>
<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="js/admin.js"></script>
<script src="<?php echo $protocol;?>://maps.google.com/maps/api/js?key=AIzaSyBthyH-eMgLYEplcPIOQRrqW3PLywGtHFQ<?php if($langID==1){echo "&language=el";} ?>" type="text/javascript"></script>
<script type="text/javascript">

var markersArray = [];
var mustSetDefaultMarker = parent.document.getElementById('lat').value != "";
var lat = (parent.document.getElementById('lat').value) ? parent.document.getElementById('lat').value : <?php echo $lat; ?>;
var lng = (parent.document.getElementById('lng').value) ? parent.document.getElementById('lng').value : <?php echo $lng; ?>;
var zoom = (parent.document.getElementById('zoom').value > 0) ? parent.document.getElementById('zoom').value : <?php echo $zoom; ?>;


function initializeMap() {
	var myOptions = {
		zoom: parseInt(zoom),
		center: new google.maps.LatLng(lat, lng),
		mapTypeControl: true,
		mapTypeControlOptions: {
			style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
		},
		navigationControl: true,
		navigationControlOptions: {
			style: google.maps.NavigationControlStyle.SMALL
		},
		mapTypeId: google.maps.MapTypeId.ROADMAP
	}
	window.theMap = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	<?php 
	if($kml){
	?>
	var ctaLayer = new google.maps.KmlLayer({
		url: '<?php echo $kml;?>',
		map: window.theMap,
		clickable: false
	});
	<?php	
	}
	?>
	
	if(mustSetDefaultMarker) setDefaultMarker();
	google.maps.event.addListener(window.theMap, 'click', function(event) {
		placeMarker(event.latLng);
	});
} // end map

function setDefaultMarker(){
	var theLocation = new google.maps.LatLng(lat,lng);
	var marker = new google.maps.Marker({
		position: theLocation, 
		map: window.theMap
	});
	markersArray.push(marker);
	window.theMap.setCenter(theLocation);
}

function deleteOverlays() {
	if(markersArray) {
		for (i in markersArray) {
			markersArray[i].setMap(null);
		}
		markersArray.length = 0;
	}
}

function placeMarker(location) {
	if(location){
		deleteOverlays();
		var marker = new google.maps.Marker({
			position: location, 
			map: window.theMap
		});
		markersArray.push(marker);
		window.theMap.panTo(location);
		if(window.theMap.getZoom() < 12) window.theMap.setZoom(12);
		setTimeout(function(){
			if(confirm(t("Θέλετε να αποθηκευτεί το επιλεγμένο σημείο;"))){
				parent.document.getElementById('lat').value= location.lat().toFixed(5);
				parent.document.getElementById('lng').value= location.lng().toFixed(5);
				var zoom= window.theMap.getZoom(); 
				parent.document.getElementById('zoom').value=zoom;
				parent.document.getElementById('mapInfo').innerHTML = t("Έχουν επιλεγεί οι κάτωθι συντεταγμένες")+":<br>"+t("Γεωγραφικό μήκος")+": "+location.lng().toFixed(5)+"<br>"+t("Γεωγραφικό πλάτος")+": "+location.lat().toFixed(5)+"<br>Zoom Level: "+zoom;
				<?php
				if($mid){
				?>
				var newCoords = location.lat().toFixed(5) + "|" + location.lng().toFixed(5) + "|" + zoom;
				parent.document.getElementById('<?php echo $mid;?>').value = newCoords;
				<?php	
				}
				?>
				parent.$.fancybox.close();
			}else{
				deleteOverlays();
				if(mustSetDefaultMarker) setDefaultMarker();
			}
		}, 1000);
	}
}


function restoreLocation(){
parent.document.getElementById('lat').value = "<?php echo $lat; ?>";
parent.document.getElementById('lng').value = "<?php echo $lng; ?>";
parent.document.getElementById('zoom').value = "<?php echo $zoom; ?>";
parent.document.getElementById('mapInfo').innerHTML = t("Οι συντεταγμένες επανήλθαν στις αρχικές τιμές")+":<br>"+t("Γεωγραφικό μήκος")+": <?php echo $lng; ?><br>"+t("Γεωγραφικό πλάτος")+": <?php echo $lat; ?><br>Zoom Level: <?php echo $zoom; ?>";
<?php
if($mid){
?>
var newCoords = "<?php echo $lat; ?>" + "|" + "<?php echo $lng; ?>" + "|" + "<?php echo $zoom; ?>";
parent.document.getElementById('<?php echo $mid;?>').value = newCoords;
<?php	
}
?>
parent.$.fancybox.close();
}


function submitSearchForm(){
var address = document.getElementById("address").value;
if(!address) return false;
document.getElementById('results').innerHTML ="<div style=' text-align:center'><img src='images/loader.gif' alt='loading data'><br><br></div>";
geocoder = new google.maps.Geocoder();

geocoder.geocode( { 'address': address}, function(results, status) {
	if (status == google.maps.GeocoderStatus.OK) {
		if(results.length == 1){
			pos = results[0].geometry.location;
			placeMarker(pos);
		}else{ // βρέθηκαν περισσότερα σημεία
			document.getElementById('results').innerHTML ="<div style='margin: 0 0 5px 0'>"+t("Αποτελέσματα αναζήτησης")+":</div>";
			document.location.href="#bottom";			
			for(var i=0; i<results.length; i++){
				place = results[i].formatted_address;
				lat = results[i].geometry.location.lat();
				lng = results[i].geometry.location.lng();
				document.getElementById('results').innerHTML+="<a href='javascript:showOnMap("+lat+", "+lng+", \""+place.replace(/, Ελλάς/i, "")+"\")' class='dark_link' style='display:block'>"+place.replace(/, Ελλάς/i, "")+"</a>";
			}		      
		}
	} else {
		document.getElementById('results').innerHTML = "<div class='error'><div>" + t("Δεν αναγνωρίστηκε η διεύθυνση. Παρακαλούμε δοκιμάστε ξανά") + "</div></div>";
		document.getElementById('address').value = "";
		document.getElementById('address').focus();
		deleteOverlays();
	}
});	
}



function showOnMap(lat, lng, place){
	point = new google.maps.LatLng(lat, lng);
	placeMarker(point);
}

function resetMap(){
	parent.document.getElementById('lat').value= <?php echo $defaultLAT;?>;
	parent.document.getElementById('lng').value= <?php echo $defaultLNG;?>;
	var zoom= <?php echo $defaultZOOM;?>;
	parent.document.getElementById('zoom').value=zoom;
	parent.document.getElementById('mapInfo').innerHTML = t("Ο γεωγραφικός προσδιορισμός ακυρώθηκε");
	<?php
	if($mid){
	?>
	parent.document.getElementById('<?php echo $mid;?>').value = "";
	<?php	
	}
	?>	
	parent.$.fancybox.close();
}

function loadKML(){
	$('#load_kml').hide();
	$('#kml_results').show();
}

function cancelKML(){
	$('#load_kml').show();
	$('#kml_results').hide();
}

function setKML(elm){
	var elm = $(elm);
	var kml = elm.data("kml");
	var link = "gmap.php?zoom=<?php echo $zoom;?>&lat=<?php echo $lat;?>&lng=<?php echo $lng;?>&kml=" + kml;
	window.location.href= link;
}

    </script>
</head>
<body id="inner_page" onload="initializeMap()">
<div style="border: solid 1px white;height: 370px;">
<div id="map_canvas" style="width: 100%; height: 370px"></div>
</div>
<div id="bottom" style="margin-top:10px">

<?php echo t("Εντοπίστε το σημείο που επιθυμείτε στο χάρτη και κάντε κλικ");?>.<br>
<?php echo t("Αν θέλετε να ακυρώσετε τον χάρτη, πατήστε");?> <a href="javascript:void(0)" onclick="resetMap()" style="color:#e61b68"><?php echo t("εδώ");?></a>
<?php
$kmls = getKmlFileNames();
if(count($kmls)){
?>
<a href="javascript:void(0)" id="load_kml" onclick="loadKML()">Load KML file</a>
<div id="kml_results">
<a id="cancel_kml" href="javascript:void(0)" onclick="cancelKML()">Cancel KML file</a>
<?php 
foreach($kmls as $kml){
	$kmlName = $fileSystem->getFileBaseName($kml).".kml";
	?>
	<a class="edit_category" href="javascript:void(0)" data-kml="<?php echo $kml;?>" onclick="setKML(this)"><?php echo $kmlName;?></a>
	<?php
}
?>
</div>
<?php
}
?>
<br>
<br>

<?php echo t("Εναλλακτικά μπορείτε να εισάγετε την διεύθυνση που αναζητάτε και θα γίνει προσπάθεια για αυτόματο εντοπισμό της στον χάρτη");?>:
</div>
<div id="search_wrapper">
<div id="search">
<input name="address" type="text" class="listbox" id="address" onchange="submitSearchForm()"> 
<a id="search_btn" href="javascript:void(0)" onclick="submitSearchForm()"></a>
</div>
</div>
<div id="results" style="margin:20px; min-height:400px"></div>
</body>
</html>
<?php
function getKmlFileNames(){
	global $fileSystem;
	global $domain_name;
    global $protocol;
	$kmls = array();
	foreach(glob('../mediabank/*.kml') as $kml){
		if(is_file($kml)){
			$kml = $protocol . "://".$domain_name."/mediabank/".$fileSystem->getFileBaseName($kml).".kml";
			$kmls[] = $kml;
		}
	}
	return $kmls;	
}

?>
