
if(typeof odyshop != 'object') var odyshop = [];
odyshop.translations = new Array(); // for storing js translations
jQuery.ajax({
	type: "POST",
	url: "getAdminLanguage.php",
	async: true, // prevent chrome bug of not loading parameters page
	success: function(response){
		//console.log(response);
		if(!parseInt(response)) response = 1;
		odyshop.adminLanguage = response;
		importTranslations(odyshop.adminLanguage);
	}
});

function t(key){
	if(parseInt(odyshop.adminLanguage) == 1) return key; // greek language
	return (!odyshop.translations[key]) ? key : odyshop.translations[key];
}

function importTranslations(langID){
	langID = (typeof langID ==='undefined') ? "" : langID;
	jQuery.ajax({
		type: "POST",
		url: "getTranslations.php",
		data: "langID=" + langID,
		async: false,
		success: function(response){
			//console.log(response);
			var records = response.trim();
			records = records.split("~|~");
			for(var i=0; i<records.length; i++){
				var record = records[i].split("|||");
				var key = record[0];
				var translation = record[1];
				if(key) odyshop.translations[key] = translation;
			}
		}
	});
	//console.log(odyshop.translations);
}

function onlyNumeric(elm, event, allowZero){
	var key = event.keyCode || event.charCode;
	if(!allowZero){
		$(elm).on("keyup", function(){
			if(!parseInt($(elm).val())) $(elm).val(1);
		});
	}
	setTimeout(function(){
		if($(elm).val() != '') $(elm).val(parseInt($(elm).val()));
	}, 1);
	var result = ((key >= 48 && key <= 57) || key == 8 || key == 46 || key == 37 || key == 39); // only numbers, del, backspace and left-right cursors are permitted;
	return result;
}

function restrictToFloat(elm, event, allowZero) {
    var key = event.keyCode || event.charCode;
    if(key != 8) { // permit backspace
        if ((key != 46 || $(elm).val().indexOf('.') != -1) && (key < 48 || key > 57) || (key == 46 && $(elm).caret().start == 0)) {
            event.preventDefault();
        }
    }
    $(elm).on('keyup', function (event) {
        if ($(this).val().indexOf('.') == 0) { // do not allow dot in the beginning
            $(this).val($(this).val().substring(1));
        }
    });
    $(elm).on('blur', function (event) { // final check
        if ($(this).val().indexOf('.') == $(this).val().length - 1) { // remove last dot if no decimal digits are present
            $(this).val($(this).val().substring(0, $(this).val().length-1));
        }
        if(!allowZero && parseFloat($(this).val()) == 0) $(this).val(""); // do not allow zero is such option is given
        if($(this).val()) $(this).val(parseFloat($(this).val())); // make sure we have a valid float
    });
}

String.prototype.format = function () {
	var args = arguments;
	return this.replace(/\{(\d+)\}/g, function (m, n) { return args[n]; });
};

function setBasketStatus(elm){
	setValue = ($(elm).attr('class') == "basket_on") ? 0 : 1;

	jQuery.ajax({
		type: "POST",
		url: "setBasketStatus.php",
		data: "status=" + setValue,
		async: false,
		success: function(response){
			//console.log(response);
			if(response == "ok"){
				if(setValue == 1){
					$(elm).attr("class", "basket_on");
					popup(t("Το καλάθι αγορών ενεργοποιήθηκε"), "popup-info");
				}else{
					$(elm).attr("class", "basket_off");
					popup(t("Προσοχή! Το καλάθι αγορών απενεργοποιήθηκε και το κατάστημα θα λειτουργεί σαν απλός κατάλογος προϊόντων"), "popup-warning");
				}
			}else{
				popup(t("Προέκυψε πρόβλημα, η ενέργεια απέτυχε"), "popup-warning");
			}
		}
	});
}

function live_translation(source_lang, destination_lang, text){
    odyshop.translation = '';
    jQuery.ajax({
        type: "POST",
        url: "ajax_translations.php",
        data: "text=" + encodeURIComponent(text) + "&source_lang=" + source_lang + "&destination_lang=" + destination_lang,
        async: false,
        success: function (response) {
            odyshop.translation = response;
        }
    });
    return odyshop.translation;
}

function goto(hash){
	var destination = $('#'+hash);
	destination = (destination.length) ? destination : $('body');
	$('html,body').animate({
        scrollTop: destination.offset().top
	}, 'slow');
}

function popup(msg, typeOfMessage){
	odyshop.typeOfMessage = typeOfMessage;
	var msgBox = $.prompt(msg, {
		persistent: false,
		overlayspeed: 50,
		promptspeed: 50,
		timeout: 10000,
		opacity: 0.6
	});
	msgBox.on('impromptu:loaded', function(e){
		$('.jqimessage ').addClass(odyshop.typeOfMessage);
	});
}

function to_upper(string){
    if(!string) return null;
    string = string.replace(/ά/gi,"Α");
    string = string.replace(/έ/gi,"Ε");
    string = string.replace(/ή/gi,"Η");
    string = string.replace(/ύ/gi,"Υ");
    string = string.replace(/ώ/gi,"Ω");
    string = string.replace(/ί/gi,"Ι");
    string = string.replace(/ό/gi,"Ο");
    string = string.replace(/ΰ/gi,"Ϋ");
    string = string.replace(/ΐ/gi,"Ϊ");
    return string;
}

function to_latin(string){
    string = string.replace(/ου/gi,"ou");
    string = string.replace(/ού/gi,"ou");
    string = string.replace(/α/gi,"a");
    string = string.replace(/ά/gi,"a");
    string = string.replace(/β/gi,"v");
    string = string.replace(/γ/gi,"g");
    string = string.replace(/δ/gi,"d");
    string = string.replace(/ε/gi,"e");
    string = string.replace(/έ/gi,"e");
    string = string.replace(/ζ/gi,"z");
    string = string.replace(/η/gi,"i");
    string = string.replace(/ή/gi,"i");
    string = string.replace(/θ/gi,"th");
    string = string.replace(/ι/gi,"i");
    string = string.replace(/ϊ/gi,"i");
    string = string.replace(/ί/gi,"i");
    string = string.replace(/κ/gi,"k");
    string = string.replace(/λ/gi,"l");
    string = string.replace(/μ/gi,"m");
    string = string.replace(/ν/gi,"n");
    string = string.replace(/ξ/gi,"ks");
    string = string.replace(/ο/gi,"o");
    string = string.replace(/ό/gi,"o");
    string = string.replace(/ω/gi,"o");
    string = string.replace(/ώ/gi,"o");
    string = string.replace(/π/gi,"p");
    string = string.replace(/ρ/gi,"r");
    string = string.replace(/σ/gi,"s");
    string = string.replace(/ς/gi,"s");
    string = string.replace(/τ/gi,"t");
    string = string.replace(/υ/gi,"y");
    string = string.replace(/ϋ/gi,"y");
    string = string.replace(/ΰ/gi,"y");
    string = string.replace(/φ/gi,"f");
    string = string.replace(/χ/gi,"x");
    string = string.replace(/ψ/gi,"ps");
    return string;
}

function formatPrice(amount){
	var returnValue;
	if(!amount) amount =0;
	jQuery.ajax({
		type: "POST",
		url: "../ajax_format_price.php",
		data: "amount="+amount,
		async: false,
		success: function(response){
			//console.log(response);
			if(response.indexOf("ok_") != -1){
				returnValue = response.replace("ok_", "");
			}else{
				popup(response, "error", 200000);
			}
		}
	});
	return returnValue;
}

function checkArrayForDuplicates(theArray){
	for(var i = 0; i < theArray.length; i++){
		for(var j = 0; j < theArray.length; j++){
			if(i != j){
				if(theArray[i] == theArray[j]) return false;
			}
		}
	}
	return true;
}

function toggleSearch(btn){
	btn = $(btn);
	var elm = $('#find');
	if(btn.hasClass("search_off")){
		btn.removeClass("search_off");
		btn.addClass("search_on");
		elm.removeClass("hidden");
		elm.addClass("visible");
		$('#keyword').focus();
	}else{
		btn.removeClass("search_on");
		btn.addClass("search_off");
		elm.removeClass("visible");
		elm.addClass("hidden");
	}
}

function showHideShortcutsMenu(buttonID, idToHide){
	$('#moreMenu').hide();
	$('#' + idToHide).toggle();
	if($('#' + idToHide).css("display") == "block"){
		document.body.onclick = function(e, o){
			if(!e) var e = window.event;
			var tg = (window.event) ? e.srcElement : e.target;
			if(tg.id != buttonID && tg.id != idToHide) 	$('#' + idToHide).css("display", "none");
		}
	}else{
		document.body.onclick = function(e){
			if(!e) var e = window.event;
			monitorMenu(e);
		}
	}
}

function monitorMenu(e){
	var closeMenu = true;
	$(e.target).parents().each(function(){
		if($(this).prop("tagName") == "ASIDE"){
			closeMenu = false;
		}
	});
	if(closeMenu) menu('close');
}

function showHideMoreActions(buttonID, idToHide){
    menu('close');
    $('#shortcutsMenu').hide();
    $('#' + idToHide).toggle();
    if($('#' + idToHide).css("display") == "block"){
        document.body.onclick = function(e, o){
            if(!e) var e = window.event;
            var tg = (window.event) ? e.srcElement : e.target;
            if(tg.id != buttonID && tg.id != idToHide) 	$('#' + idToHide).css("display", "none");
        }
    }else{
        document.body.onclick = function(e){
            if(!e) var e = window.event;
            monitorMenu(e);
        }
    }
}

function menu(action){
	$('#moreMenu').hide();
	$('body').unbind('click');
	document.body.onclick = function(e){
		if(!e) var e = window.event;
		monitorMenu(e);
	}
	if(action == "open"){
		$('#shortcutsMenu').hide();
		$('#menu').removeClass("hideMenu");
		$('#menu').addClass("showMenu");
		$('#show_menu').removeClass("showMenuButton");
		$('#show_menu').addClass("hideMenuButton");
		$('#close_menu').removeClass("hideMenuButton");
		$('#close_menu').addClass("showMenuButton");
		$('body,html').animate({
			scrollTop:0
		},400);
	}
	if(action == "close"){
		$('#menu').removeClass("showMenu");
		$('#menu').addClass("hideMenu");
		$('#show_menu').removeClass("hideMenuButton");
		$('#show_menu').addClass("showMenuButton");
		$('#close_menu').removeClass("showMenuButton");
		$('#close_menu').addClass("hideMenuButton");
	}
}

function deleteCategory(elm, section, itemID){
	if(!confirm(t("Θέλετε να διαγραφεί οριστικά η επιλεγμένη εγγραφή;"))){
		return false;
	}else{
		jQuery.ajax({
			type: "POST",
			url: "ajax_categories.php",
			data: "action=delete&itemID="+itemID+"&section="+section,
			async: true,
			success: function(response){
				//console.log(response);
				if(response == "ok"){
					var parent = $(elm).parent().parent().parent();
					var leaves = parent.children('div').length;
					$(elm).parent().parent().remove();
					if(leaves == 1){ // last leaf just removed, so reload to refresh the parent as leaf
						document.location.href = document.location.href;
					}
					return true;
				}else{
					popup("Error deleting category!<br>Reported error was: " + response, "popup-warning");
					return false;
				}
			}
		});
	}
}

function savePermissions(id, flag){
	document.cat_id = id;
	flag = (flag) ? 1 : 0;
	jQuery.ajax({
		type: "POST",
		url: "permissions.php",
		data: "id="+id+"&flag="+flag,
		async: true,
		success: function(response){
			var id = document.cat_id;
			if(response == "error"){
				popup("Error! Permissions not saved!", "popup-warning");
				return false;
			}else{
				if(document.getElementById("chk"+id).checked){
					document.getElementById("span"+id).style.color="white";
				}else{
					document.getElementById("span"+id).style.color="#ededed";
				}
				return true;
			}
		}
	});
}

function saveAdminLanguage(selectObject, index){
	$(selectObject).css("background", "none");
	var langID = $(selectObject).val();
	jQuery.ajax({
		type: "POST",
		url: "admin_language.php",
		data: "index="+index+"&adminLanguage="+langID,
		async: false,
		success: function(response){
			//alert(response);
			if(response == "index"){
				document.location.href = "index.php";
			}else{
				var baseURL = document.location.pathname;
				var queryString = document.location.search;
				var hash = document.location.hash;
				var r = Math.random();
				if(queryString){
					if(queryString.match(/\?r\=/)){
						var URLparts = queryString.split("?r=");
						queryString = URLparts[0];
						queryString = "?r=" + r + hash;
					}else{
						var URLparts = queryString.split("&r=");
						queryString = URLparts[0];
						queryString += "&r=" + r + hash;
					}
				}else{
					var URLparts = queryString.split("?r=");
					queryString = URLparts[0];
					queryString = "?r=" + r + hash;
				}
				var url = baseURL + queryString;
				document.location.href = url;
			}
		}
	});
}

function setAllLanguages(){
	odyshop.lang = "all";
	$('div[data-lang]').each(function(){
		showHideLanguages($(this), "show");
		if($(this).attr('class') == "seo" && !$('#enableSEO').prop("checked")) showHideLanguages($(this), "hide");
	});
}

function setCurrentLanguage(lang){
	odyshop.lang = lang;
	$('div[data-lang]').each(function(){
		showHideLanguages($(this), "show");
		if($(this).attr('data-lang') != odyshop.lang){
			showHideLanguages($(this), "hide");
		}
		if($(this).attr('class') == "seo" && !$('#enableSEO').prop("checked")) showHideLanguages($(this), "hide");
	});
}

function showHideLanguages(elm, action){
	if(elm.hasClass("seo")){
		if(action == "show"){
			elm.show();
		}else{
			elm.hide();
		}
		return;
	}
	elm.children().each(function(){
		if(!$(this).hasClass("admin_label")){
			if(action == "show"){
				$(this).show();
			}else{
				$(this).hide();
			}
		}
	});
}

function CheckLabel(obj){
elm = document.getElementById('doit');
	if (obj.checked){
		elm.value=t("Διαγραφή");
		elm.className="btn btn-danger";
		}else{
		elm.value=t("Αποθήκευση");
		elm.className="btn btn-success";
		}
}

function setCookie( name, value, expires, path, domain, secure ){
	var today = new Date();
	today.setTime( today.getTime() );
	if(expires)expires = expires * 1000 * 60 * 60 * 24;
	var expires_date = new Date( today.getTime() + (expires) );
	document.cookie = name + "=" +escape( value)+
	((expires)? ";expires=" + expires_date.toGMTString() : "")+
	((path)? ";path=" + path : "")+
	((domain)? ";domain=" + domain : "")+
	((secure)? ";secure" : "" );
}


function getCookie( check_name){
	var a_all_cookies = document.cookie.split( ';' );
	var a_temp_cookie = '';
	var cookie_name = '';
	var cookie_value = '';
	var b_cookie_found = false;
	for(i = 0; i < a_all_cookies.length; i++ )	{
		a_temp_cookie = a_all_cookies[i].split( '=' );
		cookie_name = a_temp_cookie[0].replace(/^\s+|\s+$/g, '');
		if(cookie_name == check_name ){
			b_cookie_found = true;
			if(a_temp_cookie.length > 1 ){
				cookie_value = unescape( a_temp_cookie[1].replace(/^\s+|\s+$/g, '') );
			}
			return cookie_value;
			break;
		}
		a_temp_cookie = null;
		cookie_name = '';
	}
	if(!b_cookie_found ){
		return null;
	}
}

function openConfigCSS(){
	if(window.screen.width < 966){
		popup("Window is too small for this operation", "popup-warning");
		return;
	}
	var params = "height=640, width=966";
	var configWin = window.open("config_css.php", "configWin", params);
	configWin.focus();
}

function setdata(){
obj = eval("document.theform.thelist");
allrecords = obj.length;
var record = "";
var seperator = "|";
 for(n = 0; n < allrecords; n++){
record += obj.options[n].value + seperator;
}
document.theform.data.value = record;
}

function initlist(){
obj = eval("document.theform.thelist");
allrecords = obj.length;
obj.selectedIndex = allrecords-1;
}

function selectAllcb(elm){
	var elm = $(elm);
	setTimeout(function(){
		$('[name^=delID], [name^=selectedID]').each(function(){
			if($(this).is(":visible") == true) $(this).prop("checked", elm.prop("checked"));
		});
	}, 50);
}

function toggleSlots(elm){
	var elm = $(elm);
	var display = elm.prop("checked") ? "none" : "block";
	$('[data-rel="other_template"]').each(function(){
		$(this).css("display", display);
	});
}

function checkForEmptyLinks(){
	$('[data-rel="cat_link"]').each(function(){
		if(!$(this).val()) $(this).val("javascript:void(0)");
	});
}

function sortlist(action){
	obj = eval("document.theform.thelist");
	allrecords = obj.length;
	if(action == "up"){
		if(!obj.selectedIndex){
			return false;
		}else{
			idx = obj.selectedIndex;
			text_currentoption = obj.options[idx].text;
			text_previousoption = obj.options[idx-1].text;
			value_currentoption = obj.options[idx].value;
			value_previousoption = obj.options[idx-1].value;
			obj.options[idx].text = text_previousoption;
			obj.options[idx-1].text = text_currentoption;
			obj.options[idx].value = value_previousoption;
			obj.options[idx-1].value = value_currentoption;
			obj.selectedIndex--;
		}
	}
	if(action=="down"){
		if(obj.selectedIndex == allrecords-1){
			return false;
		}else{
			idx = obj.selectedIndex;
			text_currentoption = obj.options[idx].text;
			text_nextoption = obj.options[idx+1].text;
			value_currentoption = obj.options[idx].value;
			value_nextoption = obj.options[idx+1].value;
			obj.options[idx].text = text_nextoption;
			obj.options[idx+1].text = text_currentoption;
			obj.options[idx].value = value_nextoption;
			obj.options[idx+1].value = value_currentoption;
			obj.selectedIndex++;
		}
	}
}



/* Modernizr 2.8.3 (Custom Build) | MIT & BSD
 * Build: http://modernizr.com/download/#-shiv-mq-cssclasses-teststyles-load
 */
;window.Modernizr=function(a,b,c){function w(a){j.cssText=a}function x(a,b){return w(prefixes.join(a+";")+(b||""))}function y(a,b){return typeof a===b}function z(a,b){return!!~(""+a).indexOf(b)}function A(a,b,d){for(var e in a){var f=b[a[e]];if(f!==c)return d===!1?a[e]:y(f,"function")?f.bind(d||b):f}return!1}var d="2.8.3",e={},f=!0,g=b.documentElement,h="modernizr",i=b.createElement(h),j=i.style,k,l={}.toString,m={},n={},o={},p=[],q=p.slice,r,s=function(a,c,d,e){var f,i,j,k,l=b.createElement("div"),m=b.body,n=m||b.createElement("body");if(parseInt(d,10))while(d--)j=b.createElement("div"),j.id=e?e[d]:h+(d+1),l.appendChild(j);return f=["&#173;",'<style id="s',h,'">',a,"</style>"].join(""),l.id=h,(m?l:n).innerHTML+=f,n.appendChild(l),m||(n.style.background="",n.style.overflow="hidden",k=g.style.overflow,g.style.overflow="hidden",g.appendChild(n)),i=c(l,a),m?l.parentNode.removeChild(l):(n.parentNode.removeChild(n),g.style.overflow=k),!!i},t=function(b){var c=a.matchMedia||a.msMatchMedia;if(c)return c(b)&&c(b).matches||!1;var d;return s("@media "+b+" { #"+h+" { position: absolute; } }",function(b){d=(a.getComputedStyle?getComputedStyle(b,null):b.currentStyle)["position"]=="absolute"}),d},u={}.hasOwnProperty,v;!y(u,"undefined")&&!y(u.call,"undefined")?v=function(a,b){return u.call(a,b)}:v=function(a,b){return b in a&&y(a.constructor.prototype[b],"undefined")},Function.prototype.bind||(Function.prototype.bind=function(b){var c=this;if(typeof c!="function")throw new TypeError;var d=q.call(arguments,1),e=function(){if(this instanceof e){var a=function(){};a.prototype=c.prototype;var f=new a,g=c.apply(f,d.concat(q.call(arguments)));return Object(g)===g?g:f}return c.apply(b,d.concat(q.call(arguments)))};return e});for(var B in m)v(m,B)&&(r=B.toLowerCase(),e[r]=m[B](),p.push((e[r]?"":"no-")+r));return e.addTest=function(a,b){if(typeof a=="object")for(var d in a)v(a,d)&&e.addTest(d,a[d]);else{a=a.toLowerCase();if(e[a]!==c)return e;b=typeof b=="function"?b():b,typeof f!="undefined"&&f&&(g.className+=" "+(b?"":"no-")+a),e[a]=b}return e},w(""),i=k=null,function(a,b){function l(a,b){var c=a.createElement("p"),d=a.getElementsByTagName("head")[0]||a.documentElement;return c.innerHTML="x<style>"+b+"</style>",d.insertBefore(c.lastChild,d.firstChild)}function m(){var a=s.elements;return typeof a=="string"?a.split(" "):a}function n(a){var b=j[a[h]];return b||(b={},i++,a[h]=i,j[i]=b),b}function o(a,c,d){c||(c=b);if(k)return c.createElement(a);d||(d=n(c));var g;return d.cache[a]?g=d.cache[a].cloneNode():f.test(a)?g=(d.cache[a]=d.createElem(a)).cloneNode():g=d.createElem(a),g.canHaveChildren&&!e.test(a)&&!g.tagUrn?d.frag.appendChild(g):g}function p(a,c){a||(a=b);if(k)return a.createDocumentFragment();c=c||n(a);var d=c.frag.cloneNode(),e=0,f=m(),g=f.length;for(;e<g;e++)d.createElement(f[e]);return d}function q(a,b){b.cache||(b.cache={},b.createElem=a.createElement,b.createFrag=a.createDocumentFragment,b.frag=b.createFrag()),a.createElement=function(c){return s.shivMethods?o(c,a,b):b.createElem(c)},a.createDocumentFragment=Function("h,f","return function(){var n=f.cloneNode(),c=n.createElement;h.shivMethods&&("+m().join().replace(/[\w\-]+/g,function(a){return b.createElem(a),b.frag.createElement(a),'c("'+a+'")'})+");return n}")(s,b.frag)}function r(a){a||(a=b);var c=n(a);return s.shivCSS&&!g&&!c.hasCSS&&(c.hasCSS=!!l(a,"article,aside,dialog,figcaption,figure,footer,header,hgroup,main,nav,section{display:block}mark{background:#FF0;color:#000}template{display:none}")),k||q(a,c),a}var c="3.7.0",d=a.html5||{},e=/^<|^(?:button|map|select|textarea|object|iframe|option|optgroup)$/i,f=/^(?:a|b|code|div|fieldset|h1|h2|h3|h4|h5|h6|i|label|li|ol|p|q|span|strong|style|table|tbody|td|th|tr|ul)$/i,g,h="_html5shiv",i=0,j={},k;(function(){try{var a=b.createElement("a");a.innerHTML="<xyz></xyz>",g="hidden"in a,k=a.childNodes.length==1||function(){b.createElement("a");var a=b.createDocumentFragment();return typeof a.cloneNode=="undefined"||typeof a.createDocumentFragment=="undefined"||typeof a.createElement=="undefined"}()}catch(c){g=!0,k=!0}})();var s={elements:d.elements||"abbr article aside audio bdi canvas data datalist details dialog figcaption figure footer header hgroup main mark meter nav output progress section summary template time video",version:c,shivCSS:d.shivCSS!==!1,supportsUnknownElements:k,shivMethods:d.shivMethods!==!1,type:"default",shivDocument:r,createElement:o,createDocumentFragment:p};a.html5=s,r(b)}(this,b),e._version=d,e.mq=t,e.testStyles=s,g.className=g.className.replace(/(^|\s)no-js(\s|$)/,"$1$2")+(f?" js "+p.join(" "):""),e}(this,this.document),function(a,b,c){function d(a){return"[object Function]"==o.call(a)}function e(a){return"string"==typeof a}function f(){}function g(a){return!a||"loaded"==a||"complete"==a||"uninitialized"==a}function h(){var a=p.shift();q=1,a?a.t?m(function(){("c"==a.t?B.injectCss:B.injectJs)(a.s,0,a.a,a.x,a.e,1)},0):(a(),h()):q=0}function i(a,c,d,e,f,i,j){function k(b){if(!o&&g(l.readyState)&&(u.r=o=1,!q&&h(),l.onload=l.onreadystatechange=null,b)){"img"!=a&&m(function(){t.removeChild(l)},50);for(var d in y[c])y[c].hasOwnProperty(d)&&y[c][d].onload()}}var j=j||B.errorTimeout,l=b.createElement(a),o=0,r=0,u={t:d,s:c,e:f,a:i,x:j};1===y[c]&&(r=1,y[c]=[]),"object"==a?l.data=c:(l.src=c,l.type=a),l.width=l.height="0",l.onerror=l.onload=l.onreadystatechange=function(){k.call(this,r)},p.splice(e,0,u),"img"!=a&&(r||2===y[c]?(t.insertBefore(l,s?null:n),m(k,j)):y[c].push(l))}function j(a,b,c,d,f){return q=0,b=b||"j",e(a)?i("c"==b?v:u,a,b,this.i++,c,d,f):(p.splice(this.i++,0,a),1==p.length&&h()),this}function k(){var a=B;return a.loader={load:j,i:0},a}var l=b.documentElement,m=a.setTimeout,n=b.getElementsByTagName("script")[0],o={}.toString,p=[],q=0,r="MozAppearance"in l.style,s=r&&!!b.createRange().compareNode,t=s?l:n.parentNode,l=a.opera&&"[object Opera]"==o.call(a.opera),l=!!b.attachEvent&&!l,u=r?"object":l?"script":"img",v=l?"script":u,w=Array.isArray||function(a){return"[object Array]"==o.call(a)},x=[],y={},z={timeout:function(a,b){return b.length&&(a.timeout=b[0]),a}},A,B;B=function(a){function b(a){var a=a.split("!"),b=x.length,c=a.pop(),d=a.length,c={url:c,origUrl:c,prefixes:a},e,f,g;for(f=0;f<d;f++)g=a[f].split("="),(e=z[g.shift()])&&(c=e(c,g));for(f=0;f<b;f++)c=x[f](c);return c}function g(a,e,f,g,h){var i=b(a),j=i.autoCallback;i.url.split(".").pop().split("?").shift(),i.bypass||(e&&(e=d(e)?e:e[a]||e[g]||e[a.split("/").pop().split("?")[0]]),i.instead?i.instead(a,e,f,g,h):(y[i.url]?i.noexec=!0:y[i.url]=1,f.load(i.url,i.forceCSS||!i.forceJS&&"css"==i.url.split(".").pop().split("?").shift()?"c":c,i.noexec,i.attrs,i.timeout),(d(e)||d(j))&&f.load(function(){k(),e&&e(i.origUrl,h,g),j&&j(i.origUrl,h,g),y[i.url]=2})))}function h(a,b){function c(a,c){if(a){if(e(a))c||(j=function(){var a=[].slice.call(arguments);k.apply(this,a),l()}),g(a,j,b,0,h);else if(Object(a)===a)for(n in m=function(){var b=0,c;for(c in a)a.hasOwnProperty(c)&&b++;return b}(),a)a.hasOwnProperty(n)&&(!c&&!--m&&(d(j)?j=function(){var a=[].slice.call(arguments);k.apply(this,a),l()}:j[n]=function(a){return function(){var b=[].slice.call(arguments);a&&a.apply(this,b),l()}}(k[n])),g(a[n],j,b,n,h))}else!c&&l()}var h=!!a.test,i=a.load||a.both,j=a.callback||f,k=j,l=a.complete||f,m,n;c(h?a.yep:a.nope,!!i),i&&c(i)}var i,j,l=this.yepnope.loader;if(e(a))g(a,0,l,0);else if(w(a))for(i=0;i<a.length;i++)j=a[i],e(j)?g(j,0,l,0):w(j)?B(j):Object(j)===j&&h(j,l);else Object(a)===a&&h(a,l)},B.addPrefix=function(a,b){z[a]=b},B.addFilter=function(a){x.push(a)},B.errorTimeout=1e4,null==b.readyState&&b.addEventListener&&(b.readyState="loading",b.addEventListener("DOMContentLoaded",A=function(){b.removeEventListener("DOMContentLoaded",A,0),b.readyState="complete"},0)),a.yepnope=k(),a.yepnope.executeStack=h,a.yepnope.injectJs=function(a,c,d,e,i,j){var k=b.createElement("script"),l,o,e=e||B.errorTimeout;k.src=a;for(o in d)k.setAttribute(o,d[o]);c=j?h:c||f,k.onreadystatechange=k.onload=function(){!l&&g(k.readyState)&&(l=1,c(),k.onload=k.onreadystatechange=null)},m(function(){l||(l=1,c(1))},e),i?k.onload():n.parentNode.insertBefore(k,n)},a.yepnope.injectCss=function(a,c,d,e,g,i){var e=b.createElement("link"),j,c=i?h:c||f;e.href=a,e.rel="stylesheet",e.type="text/css";for(j in d)e.setAttribute(j,d[j]);g||(n.parentNode.insertBefore(e,n),m(c,0))}}(this,document),Modernizr.load=function(){yepnope.apply(window,[].slice.call(arguments,0))};
