<?php
require_once("dll.php");

function toLatin($name) {
    $string = trim($name);
    $string = mb_strtolower($string, 'UTF-8');
    $string = str_replace("&amp;", "-", $string);
    $string = str_replace(array(" ", "&", "_"), "-", $string);
    $string = str_replace(array("!", "#", "$", "%", "'", "(", ")", "*", "+", ",", "/", ":", ";", "<", ">", "=", "?", "@", "[", "]", "^", "`", "{", "}", "|", "~", "¡", "£", "¤", "¥", "¦", "§", "©", "«", "®", "±", "¶", "»", "´", "º", "°", "–"), "", $string);
    $string = str_replace("\"", "", $string);
    $string = str_replace("---", "-", $string);
    $string = str_replace("--", "-", $string);
    $string = str_replace(array("ου", "ού", "ΟΥ"), 'ou', $string);
    $string = str_replace(array("α", "Α", "ά", "Ά"), 'a', $string);
    $string = str_replace(array("β", "Β"), 'v', $string);
    $string = str_replace(array("γ", "Γ"), 'g', $string);
    $string = str_replace(array("δ", "Δ"), 'd', $string);
    $string = str_replace(array("ε", "Ε", "έ", "Έ"), 'e', $string);
    $string = str_replace(array("ζ", "Ζ"), 'z', $string);
    $string = str_replace(array("η", "Η", "ή", "Ή"), 'i', $string);
    $string = str_replace(array("θ", "Θ"), 'th', $string);
    $string = str_replace(array("ι", "Ι", "ϊ", "ί", "Ί", "Ϊ", "ΐ"), 'i', $string);
    $string = str_replace(array("κ", "Κ"), 'k', $string);
    $string = str_replace(array("λ", "Λ"), 'l', $string);
    $string = str_replace(array("μ", "Μ"), 'm', $string);
    $string = str_replace(array("ν", "Ν"), 'n', $string);
    $string = str_replace(array("ξ", "Ξ"), 'ks', $string);
    $string = str_replace(array("ο", "Ο", "ό", "Ό", "ω", "Ω", "ώ", "Ώ"), 'o', $string);
    $string = str_replace(array("π", "Π"), 'p', $string);
    $string = str_replace(array("ρ", "Ρ"), 'r', $string);
    $string = str_replace(array("σ", "ς", "Σ"), 's', $string);
    $string = str_replace(array("τ", "Τ"), 't', $string);
    $string = str_replace(array("υ", "Υ", "ϋ", "ύ", "Ύ", "Ϋ", "ΰ"), 'y', $string);
    $string = str_replace(array("φ", "Φ"), 'f', $string);
    $string = str_replace(array("χ", "Χ"), 'x', $string);
    $string = str_replace(array("ψ", "Ψ"), 'ps', $string);
    $string = mb_strtolower($string, 'UTF-8');
    return $string;
}


$langID = $language->getDefaultLanguage();
$category = (int)$_REQUEST['category'];

if (isset($_REQUEST['delID'])) {
    $content->massMediaBankDelete($_REQUEST['delID']);
}
if (count($_REQUEST)) {
    $variables->getSafeVars(array('title', 'tags', 'userID', 'cancelMultiUploads', 'keepDim'));
    if ($cancelMultiUploads || !$parameters->getParameter("multi_upload")) $_SESSION['cancelMultiUploads'] = true;
}

if ($_REQUEST['action'] == "add" && (isset($_REQUEST['writedata']))) {
    $file = toLatin($_FILES['file']['name']);
    $ext = $fileSystem->getExtensionByFileName($file);
    $filetypeID = $fileSystem->isValidExtension($ext);
    if ($filetypeID) {
        $title = ($title) ? $title : $file;
        $tags = ltrim(rtrim($tags));
        $title = $variables->filterQuotes($title);
        $tags = $variables->filterQuotes($tags);
        $db->query("INSERT INTO mediabank VALUES(null,'$title','$tags','$filetypeID','$userID')");
        $id = $db->lastID();
        $path = "uploads/";
        $currentFile = $path . $id . "." . $ext;

        if ($fileSystem->isImageExtension($ext)) {
            move_uploaded_file($_FILES['file']['tmp_name'], $currentFile);
            $_SESSION['keepDim'] = $keepDim;
            $imageResize = new imageResize($id, $ext);
            $_SESSION['keepDim'] = NULL;
        } else { // it's a non-image valid file, Just upload it!
            move_uploaded_file($_FILES['file']['tmp_name'], $currentFile);
            $sourceFile = "uploads/" . $id . "." . $ext;
            $destinationFile = $id . "." . $ext;
            $fileSystem->copyToMediabank($sourceFile, $destinationFile);
        }
        $fileSystem->deleteUploadedFiles($id);
    } else {
        $messages->addError(t("Ο τύπος αρχείου") . " [" . $ext . "] " . t("δεν υποστηρίζεται") . "!");
    }
}

if ($_REQUEST['action'] == "edit" && (!empty($_REQUEST['writedata'])) && !empty($_REQUEST['fileID'])) {
    $fileID = (int)$_REQUEST['fileID'];
    $filetypeID = $fileSystem->getFileTypeID($fileID);
    $ext = $fileSystem->getExtensionByFileTypeID($filetypeID);

    if (!empty($_REQUEST['delete'])) {
        $delID = array($fileID);
        $content->massMediaBankDelete($delID);
        $fileID = NULL;
        $filetypeID = NULL;
        unset ($delID, $_REQUEST['fileID'], $_REQUEST['writedata']);
    } else { // start edit

        $path = "uploads/";
        $currentFile = $path . $fileID . "." . $ext;
        $fileToDelete1 = "images/" . $fileID . "." . $ext; // main image
        $fileToDelete2 = "medium/medium_" . $fileID . "." . $ext; // medium image
        $fileToDelete3 = "thumbs/small_" . $fileID . "." . $ext; // thumb image
        $fileToDelete4 = $fileID . "." . $ext; // non image file
        $file = toLatin($_FILES['file']['name']);
        $newFileExists = ($file != '') ? true : false;
        $uploaded_ext = $fileSystem->getExtensionByFileName($file);
        if ($fileSystem->isValidExtension($uploaded_ext)) { // αν ειναι επιτρεπτη μορφη αρχειου
            $currentFile = $path . $fileID . "." . $uploaded_ext;
            $title = ($title) ? $title : $file;
            $tags = ltrim(rtrim($tags));
            $title = $variables->filterQuotes($title);
            $tags = $variables->filterQuotes($tags);
            $filetypeID = $fileSystem->isValidExtension($uploaded_ext);
            if ($newFileExists) {
                $fileToDelete1 = "images/" . $fileID . "." . $ext; // main image
                $fileToDelete2 = "medium/medium_" . $fileID . "." . $ext; // medium image
                $fileToDelete3 = "thumbs/small_" . $fileID . "." . $ext; // thumb image
                $fileToDelete4 = $fileID . "." . $ext; // non image file
                $fileSystem->deleteFromMediabank($fileToDelete1);
                $fileSystem->deleteFromMediabank($fileToDelete2);
                $fileSystem->deleteFromMediabank($fileToDelete3);
                $fileSystem->deleteFromMediabank($fileToDelete4);
                if ($fileSystem->isImageExtension($uploaded_ext)) {
                    move_uploaded_file($_FILES['file']['tmp_name'], $currentFile);
                    $_SESSION['keepDim'] = $keepDim;
                    $imageResize = new imageResize($fileID, $uploaded_ext);
                    $_SESSION['keepDim'] = NULL;
                } else { // it's a non-image valid file, Just upload it!
                    move_uploaded_file($_FILES['file']['tmp_name'], $currentFile);
                    $sourceFile = "uploads/" . $fileID . "." . $uploaded_ext;
                    $destinationFile = $fileID . "." . $uploaded_ext;
                    $fileSystem->copyToMediabank($sourceFile, $destinationFile);
                }
                $fileSystem->deleteUploadedFiles($fileID);
            } // end if newFileExists
            $db->query("UPDATE mediabank SET title='$title', tags='$tags', filetypeID='$filetypeID', userID='$userID' where id='$fileID'");
        } else {
            $db->query("UPDATE mediabank SET title='$title', tags='$tags', filetypeID='$filetypeID', userID='$userID' where id='$fileID'");
            if ($uploaded_ext) $messages->addError(t("Ο τύπος αρχείου") . " [" . $uploaded_ext . "] " . t("δεν υποστηρίζεται") . "!");
        }
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="shortcut icon" href="favicon.ico">
    <title>Admin Panel</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="css/admin.css" rel="stylesheet" type="text/css">
    <link href="css/pagination.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" type="text/css" href="js/fancybox2/fancybox.css">
    <link type="text/css" href="css/ui/jquery-ui-odyssey.css" rel="stylesheet">
    <link rel="stylesheet" media="all" type="text/css" href="css/jquery-impromptu.css">

    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/admin.js"></script>
    <script type="text/javascript" src="js/cookies.js"></script>
    <script type="text/javascript" src="js/jquery-ui-All.min.js"></script>
    <script type="text/javascript" src="js/fancybox2/fancybox.js"></script>
    <script type="text/javascript" src="js/browser.js"></script>
    <script type="text/javascript" src="js/jquery-impromptu.js"></script>

    <script>
        jQuery(function ($) {
            $("a[data-rel=\'fb\']").fancybox({
                openEffect: 'elastic',
                closeEffect: 'elastic'
            });
            <?php
            if(!$cancelMultiUploads){
            ?>
            if (checkBrowserForMultiUploads()) {
                if (!checkBrowserForMultiUploads()) return false;
                $('#multiupload').show();
                $('#section_title_bottom').show();
                setTimeout(function () {
                    openMultiUploads();
                }, 200);
            }
            <?php
            }
            ?>
            $('#loading').css("display", "none");
            $('a[rel="open_sections"]').fancybox({
                width: 500,
                maxHeight: 500,
                type: 'iframe',
                arrows: false,
                helpers: {
                    overlay: {
                        css: {
                            'background': 'rgba(0, 0, 0, 0.8)'
                        }
                    },
                    title: null
                }
            });

            $('#open_multiupload').fancybox({
                afterClose: function () {
                    if (window.cancelMultiUploads) {
                        document.location.href = "?action=add&category=10&cancelMultiUploads=1";
                    }
                },
                width: 900,
                height: 700,
                autoSize: false,
                type: 'iframe',
                arrows: false,
                helpers: {
                    overlay: {
                        css: {
                            'background': 'rgba(0, 0, 0, 0.8)'
                        }
                    },
                    title: null
                }
            });
        });

        function checkBrowserForMultiUploads() {
            if (BrowserDetect.browser == "Chrome") return true;
            if ((BrowserDetect.browser == "Explorer" || BrowserDetect.browser == "Mozilla") && parseFloat(BrowserDetect.version) >= 9) return true;
            if (BrowserDetect.browser == "Firefox" && parseFloat(BrowserDetect.version) >= 3.6) return true;
            if (BrowserDetect.browser == "Safari" && parseFloat(BrowserDetect.version) >= 5) return true;
            if (BrowserDetect.browser == "Opera" && parseFloat(BrowserDetect.version) >= 11) return true;
            // for any other browsers return false...
            return false;
        }

        function CheckLabel(obj) {
            var f = document.getElementById('edit_delete');
            if (obj.checked) {
                f.value = "<?php echo t("Διαγραφή");?>";
                f.className = "btn btn-danger";
            } else {
                f.value = "<?php echo t("Αποθήκευση");?>";
                f.className = "btn btn-success";
            }
        }

        function checkMassDelete() {
            var objCheckBoxes = $('#massDeleteForm input[name="delID[]"]:checked');
            var countCheckBoxes = objCheckBoxes.length;
            if (countCheckBoxes > 1) {
                return confirm(t("Θέλετε να διαγραφούν οριστικά οι επιλεγμένες εγγραφές;"));
            }
            if (countCheckBoxes == 1) {
                return confirm(t("Θέλετε να διαγραφεί οριστικά η επιλεγμένη εγγραφή;"));
            }
            popup(t("Δεν έχετε επιλέξει καμία εγγραφή") + "!", "popup-warning");
            $('#withSelected').val("");
            return false;
        }

        function openMultiUploads() {
            <?php
            if ($_SESSION['cancelMultiUploads']) echo "return false; // set by session variable" . PHP_EOL;
            ?>
            if (!checkBrowserForMultiUploads()) return false;
            $('#add_new_files').val(t('Προσθήκη νέων αρχείων'));
            $('a#open_multiupload').click();
        }

        function checkFile() {
            if (!$('#file').val()) {
                popup(t("Πρέπει να επιλέξετε κάποιο αρχείο"), "popup-warning");
                return false;
            }
            return true;
        }

        function showHideTip(elm) {
            if ($(elm).prop("checked")) {
                $('#tip_resize').css("visibility", "hidden");
            } else {
                $('#tip_resize').css("visibility", "visible");
            }
        }

        function filterRecords(text) {
            $('.admin_thumb_wrapper').each(function () {
                var name = $(this).find('.media_caption').text().trim();
                reg = new RegExp("^.*" + text + ".*", "gi");
                $(this).show();
                if (name.search(reg) == -1) {
                    $(this).hide();
                }
            });
            if ($('.admin_thumb_wrapper:visible').length < 6) {
                $('#massTop').hide();
            } else {
                $('#massTop').show();
            }
            if ($('.admin_thumb_wrapper:visible').length < 1) {
                $('#massBottom').hide();
            } else {
                $('#massBottom').show();
            }
        }

        //-->
    </SCRIPT>

</head>
<body>
<div id="backend">
    <?php include("includes/loading.php"); ?>
    <section class="container">

        <?php include("header.php"); ?>
        <div class="group">
            <aside class="grid-4">
                <?php include("menu.php"); ?>
                &nbsp;
            </aside>

            <article class="grid-8">

                <?php
                if ($_REQUEST['action'] == "add" && empty($_REQUEST['writedata'])) {
                    $langExt = $language->getLanguageExtension($langID);
                    ?>
                    <div
                        class="section_title"><?php echo t("ΠΡΟΣΘΗΚΗ ΑΡΧΕΙΟΥ ΣΤΗΝ ΒΙΒΛΙΟΘΗΚΗ ΤΟΥ ΙΣΤΟΤΟΠΟΥ ΣΑΣ"); ?></div>
                    <div class="section_title section_title_bottom" id="section_title_bottom">&nbsp;</div>
                    <div id="multiupload">
                        <a href="multi_mediabank.php" id="open_multiupload" class="btn btn-success">
                            <div>
                                <?php echo t("Δοκιμάστε την προσθήκη πολλών αρχείων ταυτόχρονα"); ?>
                            </div>
                        </a>
                        <img src="images/filecopy.gif" alt="multi upload" onclick="$('#open_multiupload').click();">
                    </div>
                    <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data"
                          name="addFile" id="addFile" class="admin_form form_centered">
                        <div style="margin: 0 2px;">

                            <div class="admin_form_element">
                                <div class="admin_label"><?php echo t("Επιλέξτε αρχείο"); ?> :</div>
                                <div style="margin-bottom:10px">
                                    <input name="file" id="file" type="file" class="listbox">
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <div class="admin_checkbox_wrapper">
                                    <input type="checkbox" name="keepDim" value="1" onclick="showHideTip(this)">
                                    <p><?php echo t("Διατήρηση των αρχικών διαστάσεων των εικόνων"); ?></p>
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <div class="admin_label">
                                    <p><?php echo t("Ιδιοκτήτης"); ?> : </p>
                                </div>
                                <div>
                                    <select name="userID" id="userID" class="listbox">
                                        <?php
                                        $flatTableName = "users";
                                        $q = "select " . $flatTableName . ".id as id, content_" . $flatTableName . ".title as title 
                                           from " . $flatTableName . ", content_" . $flatTableName . " 
                                           where content_" . $flatTableName . ".mainID=" . $flatTableName . ".id 
                                           and content_" . $flatTableName . ".langID=" . $langID . " order by " . $flatTableName . ".sort, content_" . $flatTableName . ".title";
                                        $tempRecords = $db->getRecords($q);
                                        foreach ($tempRecords as $temprow) {
                                            ?>
                                            <option
                                                value="<?php echo $temprow->id ?>"><?php echo $temprow->title; ?></option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <div class="admin_label">
                                    <?php echo t("Τίτλος (προαιρετικά)"); ?> :
                                </div>
                                <div class="normal_wrapper">
                                    <input name="title" id="title" type="text" class="listbox">
                                </div>
                            </div>


                            <div class="admin_form_element">
                                <div class="admin_label<?php echo $flag_class; ?>">
                                    <?php echo t("Λέξεις-ετικέτες (tags) που χαρακτηρίζουν το αρχείο σας"); ?> :
                                    <div class="definition">
                                        (<?php echo t("Οι λέξεις πρέπει να είναι χωρισμένες με κενά"); ?>)
                                    </div>
                                </div>
                                <div>
                                    <textarea name="tags" rows="5" class="listbox" id="tags"></textarea>
                                </div>
                            </div>


                            <div class="admin_form_element">
                                <input name="sbmt" type="submit" class="btn btn-success" id="sbmt"
                                       value="<?php echo t("Προσθήκη"); ?>" onclick="return checkFile()">
                                <input name="action" type="hidden" id="action"
                                       value="<?php echo $_REQUEST['action']; ?>">
                                <input name="category" type="hidden" id="category"
                                       value="<?php echo $_REQUEST['category']; ?>">
                                <input name="writedata" type="hidden" id="writedata" value="1">
                            </div>

                            <div style="display:table; max-width: 500px;">
                                <div>
                                    <?php echo t("Επιτρεπτοί τύποι αρχείων είναι οι ακόλουθοι"); ?>: <br><br>
                                    <?php
                                    $fres = $db->query("select * from filetypes where 1");
                                    $frows = $db->getRows($fres);
                                    foreach ($frows as $frow) {
                                        ?>
                                        <img src="../mediabank/icons/filetype_<?php echo $frow->extension; ?>.gif"
                                             alt="<?php echo $frow->title; ?>" title="<?php echo $frow->title; ?>"
                                             style="float:left; margin:6px;">
                                        <?php
                                    }
                                    ?>
                                </div>

                                <div style="clear:both; text-align:right; padding:20px 0;">
                                    <?php echo t("Οι τρέχουσες ρυθμίσεις εικόνων απαιτούν"); ?>:<br><br>

                                    <div>
                                        <?php echo t("Μέγιστο πλάτος σε pixels"); ?>:&nbsp;&nbsp;
                                        <strong><?php echo $parameters->getParameter('max_image_width'); ?></strong>
                                    </div>
                                    <div>
                                        <?php echo t("Μέγιστο ύψος σε pixels"); ?>:&nbsp;&nbsp;
                                        <strong><?php echo $parameters->getParameter('max_image_height'); ?></strong>
                                    </div>
                                </div>
                                <div class="tip">
                                    <?php echo t("Σε περίπτωση που επιλέξετε μια εικόνα με μεγαλύτερες διαστάσεις, το σύστημα θα τις μετατρέψει αυτόματα στην καλύτερη δυνατή επιλογή ύψους - πλάτους, διατηρώντας την αναλογία της εικόνας χωρίς παραμορφώσεις"); ?>
                                </div>
                            </div>

                        </div>
                    </form>
                    <?php
                }
                if ($_REQUEST['action'] == "add" && !empty($_REQUEST['writedata'])) {
                    if ($messages->hasErrors) {
                        $messages->printSystemMessages();
                    } else {
                        $messages->printSuccessMessage(t("Το αρχείο αποθηκεύτηκε με επιτυχία"));
                        ?>
                        <script type=text/javascript>
                            setTimeout(function () {
                                document.location.href = "mediabank.php?action=edit&category=11";
                            }, 1000);
                        </script>
                        <?php
                    }
                }

                if ($_REQUEST['action'] == "edit" && !empty($_REQUEST['writedata'])) {
                    if ($messages->hasErrors) {
                        $messages->printSystemMessages();
                    } else {
                        if (!empty($_REQUEST['delete'])) {
                            $messages->printSuccessMessage(t("Η διαγραφή ολοκληρώθηκε με επιτυχία"));
                        } else {
                            $messages->printSuccessMessage(t("Οι αλλαγές αποθηκεύτηκαν με επιτυχία"));
                        }
                        ?>
                        <script type=text/javascript>
                            setTimeout(function () {
                                document.location.href = "mediabank.php?action=edit&category=11";
                            }, 1000);
                        </script>
                        <?php
                    }
                }


                if ($_REQUEST['action'] == "edit" && empty($_REQUEST['writedata']) && empty($_REQUEST['fileID'])) {
                    ?>
                    <div class="section_title"><?php echo t("ΕΥΡΕΣΗ ΑΡΧΕΙΟΥ ΓΙΑ ΕΠΕΞΕΡΓΑΣΙΑ"); ?></div>
                    <div class="section_title section_title_bottom" id="section_title_bottom">&nbsp;</div>

                    <div style="text-align:right; margin:-39px 50px 0 0"><input type="button" class="btn btn-info"
                                                                                id="add_new_files"
                                                                                value="<?php echo t("Προσθήκη νέου αρχείου"); ?>"
                                                                                onclick="document.location.href='?action=add&category=10'">
                    </div>
                <?php
                if ($_REQUEST['criteria_search']){
                ?>
                    <script type="text/javascript">
                        jQuery(function ($) {
                            toggleSearch($('.find'));
                        });
                    </script>
                <?php
                }
                ?>
                    <a href="javascript:void(0)" onclick="toggleSearch(this)" class="find search_off"
                       style="margin-top:5px;"><?php echo t("Αναζήτηση"); ?></a>
                    <form id="find" method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>"
                          class="admin_form form_centered hidden">

                        <div style="display:table; margin: 0 auto; max-width:705px;">

                            <div class="admin_form_element">
                                <div class="admin_label">&nbsp;</div>
                                <div class="normal_wrapper">
                                    <input name="keyword"
                                           type="text"
                                           class="listbox search"
                                           id="keyword"
                                           value="<?php if (!empty($_REQUEST['keyword'])) echo $_REQUEST['keyword']; ?>"
                                           onClick="this.value=''; filterRecords(this.value)"
                                           onkeyup="filterRecords(this.value)">
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <div class="admin_label">
                                    <p><?php echo t("Τύπος αρχείου"); ?> : </p>
                                </div>
                                <div>
                                    <select name="filetypeID" class="listbox" id="ext">
                                        <option value="0" <?php if (empty($_REQUEST['filetypeID'])) {
                                            echo(' selected');
                                        } ?>><?php echo t("Όλοι οι τύποι"); ?></option>
                                        <?php
                                        $extres = $db->query("select * from filetypes where 1");
                                        $extRows = $db->getRows($extres);
                                        foreach ($extRows as $extRow) {
                                            ?>
                                            <option
                                                value="<?php echo $extRow->id; ?>" <?php if (!empty($_REQUEST['filetypeID'])) if ($_REQUEST['filetypeID'] == $extRow->id) {
                                                echo(' selected="selected" ');
                                            } ?>>
                                                <?php echo $extRow->title; ?>
                                            </option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <div class="admin_label">
                                    <p><?php echo t("Ιδιοκτήτης"); ?> : </p>
                                </div>
                                <div>
                                    <select name="userID" class="listbox" id="userID">
                                        <option value="" <?php if (empty($userID)) {
                                            echo(' selected');
                                        } ?>><?php echo t("Ανεξαρτήτως Ιδιοκτήτη"); ?></option>
                                        <?php
                                        $flatTableName = "users";
                                        $q = "select " . $flatTableName . ".id as id, content_" . $flatTableName . ".title as title 
                               from " . $flatTableName . ", content_" . $flatTableName . " 
                               where content_" . $flatTableName . ".mainID=" . $flatTableName . ".id 
                               and content_" . $flatTableName . ".langID=" . $langID . " order by " . $flatTableName . ".sort, content_" . $flatTableName . ".title";
                                        $tempRecords = $db->getRecords($q);
                                        foreach ($tempRecords as $temprow) {
                                            ?>
                                            <option
                                                value="<?php echo $temprow->id ?>" <?php if (!empty($userID)) if ($userID == $temprow->id) {
                                                echo(' selected="selected"');
                                            } ?> style="padding-right:20px">
                                                <?php
                                                echo $temprow->title;
                                                ?>
                                            </option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <input name="criteria_search" type="submit" class="btn btn-success" id="button"
                                       value="<?php echo t("Αναζήτηση"); ?>">
                                <input name="action" type="hidden" id="action"
                                       value="<?php echo $_REQUEST['action']; ?>">
                                <input name="category" type="hidden" id="category"
                                       value="<?php echo $_REQUEST['category']; ?>">
                            </div>
                        </div>
                    </form>


                    <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" id="massDeleteForm">
                        <div id="mediabank_results">


                            <?php
                            $presults = (empty($_REQUEST['presults'])) ? $parameters->getParameter('presults') : (int)$_REQUEST['presults'];
                            $q = "select * from mediabank where id > 0 ";
                            if (!empty($userID)) {
                                $q .= "and userID='$userID'";
                            }
                            if (!empty($_REQUEST['filetypeID'])) {
                                $q .= " and filetypeID=" . $_REQUEST['filetypeID'];
                            }
                            $keyword = (!empty($_REQUEST['keyword'])) ? ltrim(rtrim($_REQUEST['keyword'])) : null;
                            $keyword = $variables->sanitize($keyword);
                            if (!empty($keyword)) {
                                if(preg_match("/^[\w\d\s.,-]*$/", $keyword)){ // only latin search
                                    $q .= " and (tags LIKE '%$keyword%' OR title LIKE '%$keyword%')";
                                }else { // extended characters search, try for latin version as well
                                    $keyword_latin = toLatin($keyword); // in case of imported images
                                    $q .= " and (tags LIKE '%$keyword%' OR title LIKE '%$keyword%' OR title LIKE '%$keyword_latin%')";
                                }
                            }
                            $maxrows = $db->getNumRows($q);
                            $page = ((int)$_REQUEST['page'] > 0) ? (int)$_REQUEST['page'] : 1; // αν δεν έχει δωθεί η μεταβλητή $page να ορισθεί ως 1
                            $startrecord = ($page * $presults) - $presults; // η πρώτη εγγραφή του σετ (αρχική τιμή της LIMIT)
                            $startrecord = ($startrecord < 0) ? 0 : $startrecord; // Απαγορεύεται η αρνητική τιμή
                            $q .= " order by id desc LIMIT " . $startrecord . ", " . $presults;
                            $results = $db->query($q);
                            $rows = $db->getNumRows($results);
                            if (!$rows) {
                                if (!$_REQUEST['filetypeID'] && !$keyword) {
                                    $messages->addMessage(t("Δεν υπάρχουν προς το παρόν καταχωρημένες εγγραφές στη βιβλιοθήκη αρχείων του site σας"));
                                } else {
                                    $messages->addError(t("Δεν βρέθηκαν αρχεία που να πληρούν τα συγκεκριμένα κριτήρια που θέσατε"));
                                }
                                $messages->printSystemMessages();
                                ?>
                                <script type="text/javascript">$('#select_all_mediabank').hide();</script>
                            <?php
                            }else{
                            ?>
                                <div id="select_all_mediabank">
        <span style="position:relative">
            <input style="position:absolute; top :1px; left: 0" type="checkbox" onclick="selectAllcb(this)"> 
            <span class="hideText">&nbsp;&nbsp;<?php echo t("Επιλογή όλων"); ?></span>
        </span>
                                </div>
                                <?php
                                $action = $_REQUEST['action'];
                                $vars = 'action,category,filetypeID,keyword';
                                $pagination = new admin_pagination($maxrows, true, $vars);
                                $pagination->printPages();
                                $counter = 0;
                                $records = $db->getRows($results);
                                $height = 170;

                            if ($rows > 5) {
                                ?>
                                <div id="massTop"
                                     style="text-align:right; margin:20px 0;padding-top:5px; border-top:1px solid black">
                                    <?php echo t("με τα επιλεγμένα"); ?>: <input type="button"
                                                                                 value="<?php echo t("Διαγραφή"); ?>"
                                                                                 class="btn btn-danger"
                                                                                 onClick="$('#massDelete').click()">
                                </div>
                                <?php
                            }
                                ?>

                                <div style="display:table; margin: 0 auto; clear:both;">

                                    <?php
                                    foreach ($records as $row) {
                                        $ext = $fileSystem->getExtensionByFileTypeID($row->filetypeID);
                                        $counter++;
                                        $img = "../mediabank/thumbs/small_" . $row->id . "." . $ext;
                                        $isize = getimagesize($img);
                                        $thisHeight = $isize[1]; // get image height
                                        $height = ($thisHeight > $height) ? $thisHeight : $height;
                                        $maxChars = 50;
                                        $title = t($row->title);
                                        $len = strlen($title);
                                        $miniTitle = $variables->unicode_substr($title, 0, $maxChars);
                                        if (strlen($miniTitle) < $len) $miniTitle = trim($miniTitle) . "...";
                                        $title = $miniTitle;
                                        ?>

                                        <table class="admin_thumb_wrapper">
                                            <tr>
                                                <td class="admin_thumb_image">
                                                    <a href="?action=edit&amp;category=<?php echo $_REQUEST['category']; ?>&amp;fileID=<?php echo $row->id; ?>">
                                                        <?php
                                                        if ($fileSystem->isImage($row->id)) {
                                                            ?>
                                                            <img
                                                                src="<?php echo $domainPath . getFPath(true); ?>mediabank/thumbs/small_<?php echo $row->id . '.' . $ext; ?>?r=<?php echo @time(); ?>"
                                                                alt="click to select" title="click to select" border="0"
                                                                style="max-height: 112px;">
                                                            <?php
                                                        } else {
                                                            ?>
                                                            <img
                                                                src="<?php echo $domainPath . getFPath(true); ?>mediabank/icons/filetype_<?php echo $ext; ?>.gif"
                                                                alt="click to select" title="click to select"
                                                                border="0">
                                                            <?php
                                                        }
                                                        ?>
                                                    </a>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="admin_thumb_caption">
                                                    <?php
                                                    if ($fileSystem->isImageExtension($ext)) {
                                                        ?>
                                                        <div style="position:relative">
                                                            <div style="position:absolute; left:30px; top: 0"><a
                                                                    href="<?php echo $domainPath . getFPath(true) . "mediabank/images/" . $row->id . "." . $ext; ?>"
                                                                    data-rel="fb"><img src="images/maginify_small.gif"
                                                                                       width="17" height="16"
                                                                                       alt="click to enlarge"
                                                                                       valign="absmiddle"></a></div>
                                                        </div>
                                                        <?php
                                                    }
                                                    ?>
                                                    <input type="checkbox" name="delID[]"
                                                           id="<?php echo "delID_" . $row->id; ?>"
                                                           value="<?php echo $row->id; ?>"><br>
                                                    <span class="media_caption"><?php echo $title; ?></span>
                                                </td>
                                            </tr>
                                        </table>

                                        <?php
                                    }
                                    ?>
                                </div>
                                <div style="clear:both"></div>
                                <?php
                                $pagination = new admin_pagination($maxrows, false, $vars);
                                $pagination->printPages();

                            }
                            ?>
                        </div>
                        <?php
                        if ($rows) {
                            ?>
                            <div id="massBottom"
                                 style="text-align:right; margin-top:20px;padding-top:5px; border-top:1px solid black"><?php echo t("με τα επιλεγμένα"); ?>
                                : <input type="submit" name="massDelete" id="massDelete"
                                         value="<?php echo t("Διαγραφή"); ?>" class="btn btn-danger"
                                         onClick="return checkMassDelete()">
                                <input name="action" type="hidden" id="action"
                                       value="<?php echo $_REQUEST['action']; ?>">
                                <input name="page" type="hidden" id="page" value="<?php echo $_REQUEST['page']; ?>">
                                <input name="category" type="hidden" id="category"
                                       value="<?php echo $_REQUEST['category']; ?>">
                            </div>
                            <?php
                        }
                        ?>
                    </form>
                    <?php
                }

                if ($_REQUEST['action'] == "edit" && empty($_REQUEST['writedata']) && !empty($_REQUEST['fileID'])) {
                    $fileID = $_REQUEST['fileID'];
                    $results = $db->query("select * from mediabank where id='$fileID' ");
                    $row = $db->getRow($results);
                    $ext = $fileSystem->getExtensionByFileTypeID($row->filetypeID);
                    ?>
                    <div class="section_title"><?php echo t("ΕΠΕΞΕΡΓΑΣΙΑ ΣΤΟΙΧΕΙΩΝ ΑΡΧΕΙΩΝ"); ?></div>
                    <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data"
                          name="editFile" id="editFile">
                        <div style="display:table; margin: 0 auto">

                            <div class="admin_form_element">
                                <div class="admin_label">
                                    <?php echo t("Τρέχον αρχείο"); ?> <br>( <?php echo t($row->title); ?> ):
                                </div>
                                <div class="normal_wrapper">
                                    <table class="admin_thumb_wrapper single_thumb">
                                        <tr>
                                            <td class="admin_thumb_image">
                                                <?php
                                                if ($fileSystem->isImage($row->id)) {
                                                    ?>
                                                    <img
                                                        src="../mediabank/thumbs/small_<?php echo $row->id . '.' . $ext . "?=" . rand(); ?>"
                                                        alt="selected file" title="<?php echo t($row->title); ?>"
                                                        border="0" style="max-height: 112px;">
                                                    <?php
                                                } else {
                                                    ?>
                                                    <img src="../mediabank/icons/filetype_<?php echo $ext; ?>.gif"
                                                         alt="selected file" title="<?php echo t($row->title); ?>"
                                                         border="0">
                                                    <?php
                                                }
                                                ?></td>
                                        </tr>
                                    </table>
                                </div>
                            </div>


                            <div class="admin_form_element">
                                <div class="admin_label"><?php echo t("Αντικατάσταση αρχείου με"); ?> :</div>
                                <div style="margin-bottom:30px">
                                    <input name="file" type="file" class="listbox" id="file" size="35">
                                    <div style="margin-top:5px; font-size: .8em">
                                        <span><?php echo t("Αφήστε κενό το πεδίο αν δεν θέλετε<br>να αντικαταστήσετε το υπάρχον αρχείο"); ?></span>
                                    </div>
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <div class="admin_checkbox_wrapper">
                                    <input type="checkbox" name="keepDim" value="1">
                                    <p><?php echo t("Διατήρηση των αρχικών διαστάσεων των εικόνων"); ?></p>
                                </div>
                            </div>


                            <div class="admin_form_element">
                                <div class="admin_label">
                                    <?php echo t("Τίτλος (προαιρετικά)"); ?> :
                                </div>
                                <div class="normal_wrapper">
                                    <input name="title" type="text" class="listbox" id="title"
                                           value="<?php echo t($row->title); ?>">
                                </div>
                            </div>


                            <div class="admin_form_element">
                                <div class="admin_label">
                                    <p><?php echo t("Ιδιοκτήτης"); ?> : </p>
                                </div>
                                <div>
                                    <select name="userID" class="listbox" id="userID">
                                        <?php
                                        $flatTableName = "users";
                                        $q = "select " . $flatTableName . ".id as id, content_" . $flatTableName . ".title as title 
											   from " . $flatTableName . ", content_" . $flatTableName . " 
											   where content_" . $flatTableName . ".mainID=" . $flatTableName . ".id 
											   and content_" . $flatTableName . ".langID=" . $langID . " order by " . $flatTableName . ".sort, content_" . $flatTableName . ".title";
                                        $tempRecords = $db->getRecords($q);
                                        foreach ($tempRecords as $temprow) {
                                            ?>
                                            <option
                                                value="<?php echo $temprow->id ?>" <?php if ($row->userID == $temprow->id) {
                                                echo(' selected="selected"');
                                            } ?> style="padding-right:20px">
                                                <?php
                                                echo $temprow->title;
                                                ?>
                                            </option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <div class="admin_label<?php echo $flag_class; ?>">
                                    <?php echo t("Λέξεις-ετικέτες (tags) που χαρακτηρίζουν το αρχείο σας"); ?> :
                                    <div class="definition">
                                        (<?php echo t("Οι λέξεις πρέπει να είναι χωρισμένες με κενά"); ?>)
                                    </div>
                                </div>
                                <div>
                                    <textarea name="tags" rows="5" class="listbox"
                                              id="tags"><?php echo stripslashes($row->tags); ?></textarea>
                                </div>
                            </div>

                            <div class="admin_form_element" style="margin-top: 30px;">
                                <div class="admin_checkbox_wrapper">
                                    <input type="checkbox" name="delete" value="1" OnClick="CheckLabel(this)">
                                    <p><span style="color:#9f163f"><?php echo t("Διαγραφή"); ?></span>
                                        <i>(<?php echo t("Προσοχή! Η ενέργεια αυτή είναι μη αναστρέψιμη!"); ?>)</i></p>
                                </div>
                            </div>

                            <div class="admin_form_element">
                                <input name="edit_delete" type="submit" class="btn btn-success" id="edit_delete"
                                       value="<?php echo t("Αποθήκευση"); ?>">
                                <input name="writedata" type="hidden" id="writedata" value="1">
                                <input name="fileID" type="hidden" id="fileID" value="<?php echo $row->id; ?>">
                                <input name="action" type="hidden" id="action"
                                       value="<?php echo $_REQUEST['action']; ?>">
                                <input name="category" type="hidden" id="category"
                                       value="<?php echo $_REQUEST['category']; ?>"></td>
                            </div>
                        </div>
                    </form>


                    <div style="display:table; margin: 0 auto; max-width: 500px;">
                        <div>
                            <?php echo t("Επιτρεπτοί τύποι αρχείων είναι οι ακόλουθοι"); ?>: <br><br>
                            <?php
                            $fres = $db->query("select * from filetypes where 1");
                            $frows = $db->getRows($fres);
                            foreach ($frows as $frow) {
                                ?>
                                <img src="../mediabank/icons/filetype_<?php echo $frow->extension; ?>.gif"
                                     alt="<?php echo $frow->title; ?>" title="<?php echo $frow->title; ?>"
                                     style="float:left; margin:6px;">
                                <?php
                            }
                            ?>
                        </div>

                        <div style="clear:both; text-align:right; padding:20px 0;">
                            <?php echo t("Οι τρέχουσες ρυθμίσεις εικόνων απαιτούν"); ?>:<br><br>

                            <div>
                                <?php echo t("Μέγιστο πλάτος σε pixels"); ?>:&nbsp;&nbsp;
                                <strong><?php echo $parameters->getParameter('max_image_width'); ?></strong>
                            </div>
                            <div>
                                <?php echo t("Μέγιστο ύψος σε pixels"); ?>:&nbsp;&nbsp;
                                <strong><?php echo $parameters->getParameter('max_image_height'); ?></strong>
                            </div>
                        </div>
                        <div class="tip">
                            <?php echo t("Σε περίπτωση που επιλέξετε μια εικόνα με μεγαλύτερες διαστάσεις, το σύστημα θα τις μετατρέψει αυτόματα στην καλύτερη δυνατή επιλογή ύψους - πλάτους, διατηρώντας την αναλογία της εικόνας χωρίς παραμορφώσεις"); ?>
                        </div>
                    </div>

                    <?php
                }
                ?>
            </article>
        </div>
        <?php include("footer.php"); ?>
    </section>
</div>
</body>
</html>