DROP TABLE IF EXISTS `content_currencies`;
CREATE TABLE IF NOT EXISTS `content_currencies` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `mainID` int(11) unsigned NOT NULL DEFAULT '0',
  `langID` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=63 DEFAULT CHARSET=utf8mb4;

-- Dumping data for table odyshop.content_currencies: 46 rows
/*!40000 ALTER TABLE `content_currencies` DISABLE KEYS */;
INSERT INTO `content_currencies` (`id`, `mainID`, `langID`, `title`) VALUES
	(1, 1, 1, 'Ευρώ'),
	(2, 1, 2, 'Euro'),
	(3, 2, 1, 'Δολάριο Η.Π.Α'),
	(4, 2, 2, 'United States Dollar'),
	(5, 3, 1, 'Λίρα Αγγλίας'),
	(6, 3, 2, 'British Pound'),
	(7, 4, 1, 'Δολάριο Αυστραλίας'),
	(8, 4, 2, 'Australian Dollar'),
	(9, 5, 1, 'Δολάριο Καναδά'),
	(10, 5, 2, 'Canadian Dollar'),
	(11, 6, 1, 'Ρούβλι Ρωσίας'),
	(12, 6, 2, 'Russian Ruble'),
	(13, 7, 1, 'Λίρα Τουρκίας'),
	(14, 7, 2, 'Turkish Lira'),
	(15, 8, 1, 'Δολάριο Νέας Ζηλανδίας'),
	(16, 8, 2, 'New Zealand Dollar'),
	(19, 10, 1, 'Ελβετικό Φράγκο'),
	(20, 10, 2, 'Swiss Franc'),
	(21, 11, 1, 'Ιαπωνικό Γιέν'),
	(22, 11, 2, 'Japanese Yen'),
	(29, 15, 1, 'Δολάριο Χόγκ Κόγκ'),
	(28, 14, 2, 'Danish Krone'),
	(27, 14, 1, 'Κορώνα Δανίας'),
	(30, 15, 2, 'Hong Kong Dollar'),
	(41, 21, 1, 'Κορόνα Νορβηγίας'),
	(42, 21, 2, 'Norwegian Krone'),
	(43, 22, 1, 'Κορόνα Σουηδίας'),
	(44, 22, 2, 'Swedish Krona'),
	(45, 23, 1, 'Κινεζικό γουάν'),
	(46, 23, 2, 'Chinese Yuan Renminbi'),
	(47, 24, 1, 'Κορόνα Τσεχίας'),
	(48, 24, 2, 'Czech Koruna'),
	(49, 25, 1, 'Φιορίνι Ουγγαρίας'),
	(50, 25, 2, 'Hungarian Forint'),
	(51, 26, 1, 'Πέσο Μεξικού'),
	(52, 26, 2, 'Mexican Peso'),
	(53, 27, 1, 'Ζλότι Πολωνίας'),
	(54, 27, 2, 'Polish Zloty'),
	(55, 28, 1, 'Δολάριο Σιγκαπούρης'),
	(56, 28, 2, 'Singapore Dollar'),
	(57, 29, 1, 'Ραντ Νότιας Αφρικής'),
	(58, 29, 2, 'South African Rand'),
	(59, 30, 1, 'Ρουπία Ινδίας'),
	(60, 30, 2, 'Indian Rupee'),
	(61, 31, 1, 'Λέου Ρουμανίας'),
	(62, 31, 2, 'Romanian Leu');
/*!40000 ALTER TABLE `content_currencies` ENABLE KEYS */;


-- Dumping structure for table odyshop.currencies
DROP TABLE IF EXISTS `currencies`;
CREATE TABLE IF NOT EXISTS `currencies` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `active` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `private` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `sort` int(11) unsigned NOT NULL DEFAULT '0',
  `alias` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `primary` tinyint(3) DEFAULT NULL,
  `rate` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_updated` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sign` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_position` tinyint(3) DEFAULT NULL,
  `thousands_seperator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `decimal_seperator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `decimal` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb4;

-- Dumping data for table odyshop.currencies: 23 rows
/*!40000 ALTER TABLE `currencies` DISABLE KEYS */;
INSERT INTO `currencies` (`id`, `active`, `private`, `sort`, `alias`, `code`, `primary`, `rate`, `last_updated`, `sign`, `start_position`, `thousands_seperator`, `decimal_seperator`, `decimal`) VALUES
	(1, 1, 1, 1, 'eyro', 'EUR', 1, '', '', '€', 0, '.', ',', 2),
	(2, 1, 1, 3, 'dolario-ipa', 'USD', 0, '', '', '$', 1, ',', '.', 2),
	(3, 1, 1, 2, 'lira-agglias', 'GBP', 0, '', '', '£', 1, ',', '.', 2),
	(4, 1, 1, 5, 'dolario-aystralias', 'AUD', 0, '', '', '$', 1, '.', ',', 2),
	(5, 1, 1, 4, 'dolario-kanada', 'CAD', 0, '', '', '$', 1, ' ,', '.', 2),
	(6, 1, 1, 12, 'rouvli-rosias', 'RUB', 0, '', '', '?', 0, ' ', ',', 2),
	(7, 1, 1, 13, 'lira-tourkias', 'TRY', 0, '', '', '?', 0, '.', ',', 2),
	(8, 1, 1, 6, 'dolario-neas-zilandias', 'NZD', 0, '', '', '$', 1, ',', '.', 2),
	(10, 1, 1, 9, 'elvetiko-fragko', 'CHF', 0, '', '', 'Fr.', 1, '\'', '.', 2),
	(11, 1, 1, 10, 'iaponiko-gien', 'JPY', 0, '', '', '¥', 1, ',', '.', 0),
	(14, 1, 1, 15, 'korona-danias', 'DKK', 0, '', '', 'kr.', 1, '.', ',', 2),
	(15, 1, 1, 7, 'dolario-xogk-kogk', 'HKD', 0, '', '', 'HK$', 1, ',', '.', 2),
	(21, 1, 1, 16, 'korona-norvigias', 'NOK', 0, '', '', 'kr', 1, '&nbsp;', ',', 2),
	(22, 1, 1, 14, 'korona-souidias', 'SEK', 0, '', '', '&nbsp;kr', 0, '.', ',', 2),
	(23, 1, 1, 11, 'kineziko-gouan', 'CNH', 0, '', '', '¥', 1, ',', '.', 2),
	(24, 1, 1, 17, 'korona-tsexias', 'CZK', 0, '', '', '&nbsp;Kc', 0, '&nbsp;', ',', 2),
	(25, 1, 1, 20, 'fiorini-ouggarias', 'HUF', 0, '', '', '&nbsp;ft', 0, '&nbsp;', ',', 2),
	(26, 1, 1, 22, 'peso-meksikou', 'MXN', 0, '', '', '$', 1, ',', '.', 2),
	(27, 1, 1, 19, 'zloti-polonias', 'PLN', 0, '', '', '&nbsp;zl', 0, '&nbsp;', ',', 2),
	(28, 1, 1, 8, 'dolario-sigkapouris', 'SGD', 0, '', '', '$', 1, ',', '.', 2),
	(29, 1, 1, 23, 'rant-notias-afrikis', 'ZAR', 0, '', '', 'Ρ&nbsp;', 1, ',', '.', 2),
	(30, 1, 1, 21, 'roupia-indias', 'INR', 0, '', '', '?&nbsp;', 1, ',', '.', 2),
	(31, 1, 1, 18, 'leou-roumanias', 'RON', 0, '', '', '&nbsp;lei', 0, '.', ',', 2);


DROP TABLE IF EXISTS `conditions`;
CREATE TABLE IF NOT EXISTS `conditions` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `active` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `private` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `sort` int(11) unsigned NOT NULL DEFAULT '0',
  `alias` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `condition_sign` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4;

INSERT INTO `conditions` (`id`, `active`, `private`, `sort`, `alias`, `condition_sign`) VALUES
	(1, 1, 1, 1, 'na-isoutai-me', '=='),
	(4, 1, 1, 4, 'iso-i-perissotero-apo', '>='),
	(6, 1, 1, 6, 'perissotero-apo', '>'),
	(7, 1, 1, 7, 'na-anikei', 'in'),
	(11, 1, 1, 14, 'nai', 'yes'),
	(12, 1, 1, 11, 'ekptosi-epi-tois-ekato', 'percent'),
	(13, 1, 1, 12, 'ekptosi-posou', 'amount');
DROP TABLE IF EXISTS `content_conditions`;
CREATE TABLE IF NOT EXISTS `content_conditions` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `mainID` int(11) unsigned NOT NULL DEFAULT '0',
  `langID` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8mb4;

INSERT INTO `content_conditions` (`id`, `mainID`, `langID`, `title`) VALUES
	(1, 1, 1, 'να ισούται με'),
	(2, 1, 2, 'equal to'),
	(7, 4, 1, 'ίσο ή περισσότερο από'),
	(8, 4, 2, 'equal or greater than'),
	(11, 6, 1, 'περισσότερο από'),
	(12, 6, 2, 'greater than'),
	(13, 7, 1, 'να ανήκει σε κάποια από'),
	(14, 7, 2, 'matching any of'),
	(21, 11, 1, 'ναι'),
	(22, 11, 2, 'yes'),
	(23, 12, 1, 'έκπτωση επί τοις εκατό'),
	(24, 12, 2, 'discount by percentage'),
	(25, 13, 1, 'έκπτωση ποσού'),
	(26, 13, 2, 'discount by fixed amount');

DROP TABLE IF EXISTS `content_promotions_bonuses`;
CREATE TABLE IF NOT EXISTS `content_promotions_bonuses` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `mainID` int(11) unsigned NOT NULL DEFAULT '0',
  `langID` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4;
INSERT INTO `content_promotions_bonuses` (`id`, `mainID`, `langID`, `title`) VALUES
	(3, 2, 1, 'Έκπτωση παραγγελίας'),
	(4, 2, 2, 'Order discount'),
	(9, 5, 1, 'Δωρεάν αποστολή'),
	(10, 5, 2, 'Free Shipping'),
	(11, 6, 1, 'Έκπτωση προϊόντος'),
	(12, 6, 2, 'Product discount');
DROP TABLE IF EXISTS `content_promotions_categories`;
CREATE TABLE IF NOT EXISTS `content_promotions_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `catID` int(11) unsigned NOT NULL DEFAULT '0',
  `langID` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `minitext` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;

INSERT INTO `content_promotions_categories` (`id`, `catID`, `langID`, `title`, `minitext`, `link`) VALUES
	(1, 1, 1, 'Εφαρμογή στο ταμείο', '', ''),
	(2, 1, 2, 'Apply to checkout', '', '');
DROP TABLE IF EXISTS `content_promotions_rules`;
CREATE TABLE IF NOT EXISTS `content_promotions_rules` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `mainID` int(11) unsigned NOT NULL DEFAULT '0',
  `langID` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4;

INSERT INTO `content_promotions_rules` (`id`, `mainID`, `langID`, `title`) VALUES
	(1, 1, 1, 'Τιμή προϊόντος'),
	(2, 1, 2, 'Product price'),
	(3, 2, 1, 'Κατηγορίες'),
	(4, 2, 2, 'Categories'),
	(5, 3, 1, 'Προϊόντα'),
	(6, 3, 2, 'Products'),
	(7, 4, 1, 'Ομάδα χρήστη'),
	(8, 4, 2, 'User group'),
	(9, 5, 1, 'Χώρα αποστολής'),
	(10, 5, 2, 'Shipping Country'),
	(11, 6, 1, 'Τ.Κ. αποστολής'),
	(12, 6, 2, 'Shipping Zip Code'),
	(13, 7, 1, 'Αξία παραγγελίας'),
	(14, 7, 2, 'Order subtotal'),
	(15, 8, 1, 'Σύνολο προϊόντων στο καλάθι'),
	(16, 8, 2, 'Total products in cart'),
	(17, 9, 1, 'Κωδικός κουπονιού'),
	(18, 9, 2, 'Coupon Code'),
	(21, 11, 1, 'Μέθοδος πληρωμής'),
	(22, 11, 2, 'Payment method'),
	(23, 12, 1, 'Τρόπος αποστολής'),
	(24, 12, 2, 'Shipping method');
/*!40000 ALTER TABLE `content_promotions_rules` ENABLE KEYS */;


DROP TABLE IF EXISTS `promotions_bonuses`;
CREATE TABLE IF NOT EXISTS `promotions_bonuses` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `active` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `private` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `sort` int(11) unsigned NOT NULL DEFAULT '0',
  `alias` varchar(255) DEFAULT NULL,
  `promotionCatID` int(11) DEFAULT NULL,
  `conditions` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

INSERT INTO `promotions_bonuses` (`id`, `active`, `private`, `sort`, `alias`, `promotionCatID`, `conditions`, `name`) VALUES
	(2, 1, 1, 1, 'ekptosi-paraggelias', 0, 0, 'order_discount'),
	(5, 1, 1, 6, 'dorean-apostoli', 0, 0, 'free_shipping'),
	(6, 1, 1, 2, 'ekptosi-proiontos', 0, 0, 'product_discount');
DROP TABLE IF EXISTS `promotions_categories`;
CREATE TABLE IF NOT EXISTS `promotions_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent` int(11) unsigned NOT NULL DEFAULT '0',
  `target` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sort` int(11) unsigned NOT NULL DEFAULT '0',
  `access` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `alias` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `posX` smallint(6) DEFAULT '0',
  `posY` smallint(6) DEFAULT '0',
  `stepX` smallint(6) DEFAULT '0',
  `stepY` smallint(6) DEFAULT '0',
  `sprite` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

INSERT INTO `promotions_categories` (`id`, `parent`, `target`, `sort`, `access`, `alias`, `posX`, `posY`, `stepX`, `stepY`, `sprite`) VALUES
	(1, 0, '_self', 1, 0, 'efarmogi-sto-tameio', 0, 0, 0, 0, '');
DROP TABLE IF EXISTS `promotions_rules`;
CREATE TABLE IF NOT EXISTS `promotions_rules` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `active` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `private` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `sort` int(11) unsigned NOT NULL DEFAULT '0',
  `alias` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `promotionCatID` int(11) DEFAULT NULL,
  `conditions` int(11) DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4;

INSERT INTO `promotions_rules` (`id`, `active`, `private`, `sort`, `alias`, `promotionCatID`, `conditions`, `name`) VALUES
	(1, 1, 1, 1, 'timi-proiontos', 0, 0, 'product_price'),
	(2, 1, 1, 2, 'katigories', 0, 0, 'categories'),
	(3, 1, 1, 3, 'proionta', 0, 0, 'products'),
	(4, 1, 1, 4, 'omada-xristi', 0, 0, 'user_group'),
	(5, 1, 1, 5, 'xora-apostolis', 0, 0, 'shipping_country'),
	(6, 1, 1, 6, 'tk-apostolis', 0, 0, 'shipping_zip_code'),
	(7, 1, 1, 7, 'aksia-paraggelias', 0, 0, 'order_subtotal'),
	(8, 1, 1, 8, 'synolo-proionton-sto-kalathi', 0, 0, 'total_products_in_cart'),
	(9, 1, 1, 11, 'kodikos-kouponiou', 0, 0, 'coupon_code'),
	(11, 1, 1, 9, 'methodos-pliromis', 0, 0, 'payment_method'),
	(12, 1, 1, 10, 'tropos-apostolis', 0, 0, 'shipping_method');

