<?php  
require_once("dll.php");
$db->query("SET NAMES 'utf8mb4'");
$section = "products";
$view = ($_GET['view']) ? $_GET['view'] : "list";
$_GET['view'] = "list";
$document = new document($section, $view);
?>
<script type="text/javascript">
    $('.pagination a').unbind("click");
    $('.pagination a').on("click", function(event){
        event.preventDefault();
        var params = $(this).attr("data-params");
        $('#ajax_loading').show();
        updateProducts(params);
    });

    $('#custom_order').unbind("change");
    $('#custom_order').on("change", function(event){
        var custom_order = $(this).val();
        var ppage = $(this).attr("data-page");
        var presults = $(this).attr("data-presults");
        var catID = $(this).attr("data-catID");
        var params = "&section=products&view=list&custom_order=" + custom_order + "&ppage=" +ppage + "&presults=" + presults + "&langID=" + window.langID;
        if(catID) params += "&catID=" + catID;
        params += getFilters();
        updateProducts(params);
    });

    $('.product_wrapper').on("mouseover", function(){
        $(this).find(".quick_view").show();
    }).on("mouseout", function(){
        $(this).find(".quick_view").hide();
    });

    $('.quick_view').fancybox({
        width : 800,
        height: 700,
        maxHeight : 700,
        type : 'iframe',
        arrows: false,
        modal: true,
        helpers : {
            overlay : {
                css : {
                    'background' : 'rgba(0, 0, 0, 0.8)'
                }
            },
            title: null
        }
    });

</script>
<?php
$path = $document->getTemplatePath();
if(is_file($path. "ajax_products.php")){ // check for template's ajax script
    include($path. "ajax_products.php");
}else { // use this system ajax script
    $messages->printSystemMessages();
    if ($document->numOfAllItems || $document->hasSubcategories) {
        if (!$document->hasSubcategories) { // no pagination for categories listing
            echo view("utilities/getPagination", true);
            echo view("products/getSortingBar");
        }
        $products = $document->items;
        foreach ($products as $product) {
            $data = view("products/getData", $product);
            if ($data) {
                ?>
                <div class="grid-4 product_wrapper">
                    <div class="product_bordered">
                        <?php
                        if (!empty($data->save_percent)) {
                            ?>
                            <div class="product_save_price"><?php echo t("Κερδίζετε", $langID, "save_image") . " " . $data->save_percent; ?>%</div>
                            <?php
                        }
                        ?>
                        <a href="<?php echo $data->link; ?>"><img src="<?php echo $data->image; ?>" alt="<?php echo htmlspecialchars($data->title); ?>"></a>
                    </div>
                    <div class="product_footer">
                        <a class="product_title" href="<?php echo $data->link; ?>"><?php echo $data->title; ?></a>
                        <p class="listing_products_description"><?php echo $data->price_description; ?></p>
                        <div class="product_display_rating"><?php $eshop->displayRating($data->id); ?></div>
                        <a class="quick_view rainbow" href="<?php echo $data->quick_view_link; ?>"><?php echo t("ΜΕ ΜΙΑ ΜΑΤΙΑ"); ?></a>
                        <?php
                        if ($data->hasPriceAccess) {
                            ?>
                            <div class="product_prices">
						<span class="product_list_price">
						<?php
                        if ($data->list_price) echo $eshop->formatPrice($data->list_price) . "<br>";
                        ?>
						</span>
						<span class="product_price">
						<?php
                        if ($data->price) echo $eshop->formatPrice($data->price);
                        ?>
						</span>
                            </div>
                            <?php
                        }
                        ?>
                    </div>
                </div>

                <?php
            }
        }
        ?>
        <div style='height:40px'></div>
        <?php
        echo view("utilities/getPagination", false);
    } else {
        ?>
        <input type="hidden" id="qstring" value="&section=products&view=list&custom_order=<?php echo $custom_order;
        if ($catID) echo "&catID=" . $catID; ?>&presults=<?php echo $presults; ?>&ppage=<?php echo $ppage; ?>">
        <?php
    }
}
?>
