<?php
include("dll.php");
$db->query("SET NAMES 'utf8mb4'");
$variables->getSafeVars(array_keys($_REQUEST));
$basket_items = ($_REQUEST['basket_items']) ? (array)json_decode(str_replace('&quot;', '"', $basket_items)) : $_SESSION['order']->basketItems;
$promotions = $eshop->getPromotions();
$bonuses = $rules_results = $product_ids = array();
if (!$basket_items) {
    echo json_encode($bonuses);
    exit;
}
$simple_rules = array('user_group', 'shipping_country', 'shipping_zip_code', 'payment_method', 'shipping_method', 'coupon_code');
$stop_other_rules_verified = false;

function get_condition_signs($ruleID) {
    global $content;
    global $langID;
    $conditions = array();
    $conditions_ids = $content->getMultipleValues("promotions_rules", "conditions", $ruleID);
    foreach ($conditions_ids as $conditions_id) {
        $conditions[] = $content->getValue("conditions", $conditions_id, "condition_sign", $langID);
    }
    return $conditions;
}

function get_products_ids($products) {
    $ids = array();
    foreach ($products as $product) {
        $ids[] = $product->id;
    }
    return $ids;
}

function is_once_per_customer($promotionID) {
    global $db;
    $userID = $_SESSION['userID'];
    $q = "select `userID` from `promotions_users` where `userID`='$userID' and `promotionID`='$promotionID'";
    return $db->getRecord($q)->userID != false;
}

foreach ($promotions as $promotion) {
    if ($stop_other_rules_verified) continue;
    $promotionID = $promotion->id;
    $stop_other_rules = (int)$promotion->stop_other_rules;
    $once_per_customer = (int)$promotion->once_per_customer;
    $which_rules = $promotion->which_rules;
    $items = $eshop->getRulesAndBonuses($promotionID);
    $all_rules = $items['rules'];
    $all_bonuses = $items['bonuses'];
    if (($once_per_customer && is_once_per_customer($promotionID)) || empty($all_bonuses)) continue;


    /******* dates ************************************************************/

    $date_from_ts = $promotion->date_from;
    $date_to_ts = $promotion->date_to;
    $now_ts = (int)$dates->getGreekTimestamp(date('j'), date('n'), date('Y'), date('G'), date('i'));
    $date_criteria = true;
    if ($date_from_ts) {
        if ((int)$date_from_ts > $now_ts) $date_criteria = false;
    }
    if ($date_to_ts) {
        if (((int)$date_to_ts + 86400) < $now_ts) $date_criteria = false;
    }
    if (!$date_criteria) continue; // invalid promotion for current date

    /******* dates ************************************************************/
    foreach ($all_rules as $item) {
        $rule_name = $content->getValue('promotions_rules', $item->ruleID, 'name', $langID);
        $condition = $content->getValue('conditions', $item->conditionID, 'condition_sign', $langID);
        $conditions = get_condition_signs($item->ruleID);
        if ($rule_name == 'product_price') {
            $result = false;
            if (in_array($condition, $conditions)) {
                foreach ($basket_items['items'] as $product) {
                    $this_result = false;
                    $value = $product->price;
                    eval('$this_result=' . $value . ' ' . $condition . ' ' . $item->value . ';');
                    if ($this_result) {
                        $result = true;
                        $product_ids[] = $product->id;
                    }
                }
            }
            $rules_results['product_price'] = (int)$result;
        }
        if ($rule_name == 'categories') {
            $result = false;
            if (in_array($condition, $conditions)) {
                $rule_categories = explode("|", $item->items);
                array_shift($rule_categories); // first element is always empty
                foreach ($basket_items['items'] as $product) {
                    $product_categories = $content->getMultipleValues("products", "catID", $product->id); // get product's categories
                    if ($condition == "in") {
                        $intersect = array_intersect($rule_categories, $product_categories);
                        $result = !empty($intersect);
                        $rules_results['categories'] = (int)$result;
                        if ($result) $product_ids[] = $product->id;
                    }
                }
            }
        }
        if ($rule_name == 'products') {
            $result = false;
            if (in_array($condition, $conditions)) {
                $rule_products = explode("|", $item->items);
                array_shift($rule_products); // first element is always empty
                $rule_quantities = explode("|", $item->quantities);
                array_shift($rule_quantities); // first element is always empty
                $this_result = false;
                foreach ($basket_items['items'] as $key => $product) {
                    if ($condition == "in") {
                        $idx = array_search($product->id, $rule_products);
                        $rule_quantity = (int)$rule_quantities[$idx];
                        $product_quantity = (int)$product->quantity;
                        $this_result = in_array($product->id, $rule_products) && ($product_quantity >= $rule_quantity);
                        if ($this_result) {
                            $result = true;
                            $product_ids[] = $product->id;
                        }
                    }
                }
                $rules_results['products'] = (int)$result;
            }
        }
        if ($rule_name == 'order_subtotal') {
            $result = false;
            if (in_array($condition, $conditions)) {
                $value = $basket_items['order_subtotal'];
                eval('$result=' . $value . ' ' . $condition . ' ' . $item->value . ';');
                $rules_results['order_subtotal'] = (int)$result;
            }
        }
        if ($rule_name == 'total_products_in_cart') {
            $result = false;
            if (in_array($condition, $conditions)) {
                $value = $basket_items['total_products_in_cart'];
                eval('$result=' . $value . ' ' . $condition . ' ' . $item->value . ';');
                $rules_results['total_products_in_cart'] = (int)$result;
            }
        }
        if (in_array($rule_name, $simple_rules)) {
            if (empty(${$rule_name})) {
                $rules_results[$rule_name] = 0;
                continue;
            }
            $result = false;
            if (in_array($condition, $conditions)) {
                $value = ${$rule_name};
                eval('$result=' . $value . ' ' . $condition . ' ' . $item->value . ';');
                $rules_results[$rule_name] = (int)$result;
            }
        }
    }
    $success = ($which_rules == "any") ? in_array("1", $rules_results) : !in_array("0", $rules_results);
    $success = empty($rules_results) ? false : $success;
    $product_ids = array_unique($product_ids);

    $js_debug = 0;
    if($js_debug) {
        echo "\n\nRules results of promotionID " . $promotionID . ":\n";
        echo "Product IDs:" . implode(',', $product_ids) . "\n";
        echo "Rules results imploded:" . implode(",", $rules_results) . "\n";
        echo "Success:" . (int)$success . "\n";
        $bonuses['debug'] = "\n\nRules results of promotionID " . $promotionID . ":\nProduct IDs:" . implode(',', $product_ids) . "\nRules results imploded:" . implode(",", $rules_results) . "\nSuccess:" . (int)$success . "\n";
        $bonuses['debug2'] = json_encode($rules_results);
        echo json_encode($bonuses);
    }

    if ($success) {
        foreach ($all_bonuses as $bonus) {
            $this_bonus = array();
            $this_bonus['bonusID'] = $bonus->bonusID;
            $this_bonus['conditionID'] = $bonus->conditionID;
            $this_bonus['value'] = $bonus->value;
            $this_bonus['products'] = $product_ids;
            $this_bonus['all_products'] = get_products_ids($basket_items['items']); // in case there are no specific products
            $bonuses['promotionID_' . $promotionID][] = $this_bonus;
        }
    }
    $stop_other_rules_verified = ($stop_other_rules == 1);
    $rules_results = $product_ids = array();
}
echo $eshop->getPromotionsResults($bonuses);


