<?php
require_once("dll.php");
$db->query("SET NAMES 'utf8mb4'");
$document = new document();
$variables->getSafeVars(array_keys($_REQUEST));
$template = $document->getDefaultTemplate();
$templatePath = $document->getTemplatePath();
$zip_code = preg_replace('/\s+/', '', $zip_code);
$zip_code = (int)$zip_code;
if (empty($zip_code)) die("Zip Code is missing");
$q = "select zip_code from cities where zip_code like '%|" . $zip_code . "%'";
$validZipCode = $db->getNumRows($q);
if (empty($validZipCode)) die("Invalid Zip Code");
if ($prefix) $prefix = ($prefix == "billing_") ? $prefix : "shipping_";
$inaccessible = ($area_name) ? true : false;
$template_cities_by_zip_code_css = "templates/" . $template . "/css/cities_by_zip_code.css";
$cities_by_zip_code_css = (is_file($template_cities_by_zip_code_css)) ? $template_cities_by_zip_code_css : "css/cities_by_zip_code.css";

?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="shortcut icon" href="favicon.ico">
    <?php loadGlobalFiles("css"); ?>
    <link href="templates/<?php echo $template; ?>/css/styles.css" rel="stylesheet" type="text/css">
    <link href="templates/<?php echo $template; ?>/css/forms.css" rel="stylesheet" type="text/css">
    <link href="<?php echo $cities_by_zip_code_css; ?>" rel="stylesheet" type="text/css">
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/common.js.php?langID=<?php echo $langID; ?>"></script>
    <?php
    loadGlobalFiles("js");
    echo view("utilities/rainbow");
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function ($) {
            getCities('<?php echo $zip_code;?>');
            <?php
            if($inaccessible){
            ?>
            $('#inaccessible').prop("checked", true);
            manageInaccessible(document.getElementById("inaccessible"));
            <?php
            }
            ?>
        });

        function getCities(zip_code) {
            var cityID = "<?php echo $cityID;?>";
            jQuery.ajax({
                type: "GET",
                url: "ajax_zip_code.php",
                async: false,
                dataType: "json",
                data: "zip_code=" + zip_code + "&action=get_cities&langID=<?php echo $langID;?>",
                success: function (response) {
                    //console.log(response);
                    if (response.length) {
                        var msg = response[0].msg;
                        if (msg == "ok") {
                            for (index in response) {
                                var id = response[index].id;
                                var name = response[index].name;
                                var selected = (cityID == id) ? " selected" : "";
                                var option = '<option value="' + id + '"' + selected + '>' + name + '</option>';
                                $('#cities').append(option);
                            }
                        } else {
                            alert("error getting cities"); // error
                            parent.$.fancybox.close();
                        }
                    } else {
                        alert("error: " + response); // error
                        parent.$.fancybox.close();
                    }
                }
            });
        }

        function manageInaccessible(elm) {
            var isInaccessible = $(elm).prop("checked");
            if (isInaccessible) {
                $('#inaccessible_area').show();
                $('#areas').hide();
            } else {
                $('#inaccessible_area').hide();
                $('#areas').show();
            }
        }

        function selectCity() {
            var isInaccessible = $('#inaccessible').prop("checked");
            var prefix = "<?php echo $prefix;?>";
            var parent_city = parent.$('#' + prefix + 'city');
            var parent_cityID = parent.$('#' + prefix + 'cityID');
            if (isInaccessible) {
                var cityID = "";
                var cityName = $('#area_name').val();
                if (!cityName) {
                    $('#area_name').focus();
                    return;
                }
                parent_city.attr("data-inaccessible", "1");
            } else {
                var cityID = $('#cities').val();
                var cityName = $('#cities option:selected').html();
                parent_city.attr("data-inaccessible", "");
            }
            parent_cityID.val(cityID);
            parent_city.val(cityName);
            parent.$.fancybox.close();
        }
    </script>
</head>
<body style="height:270px">
<div id="ajax_loading"></div>
<div class="sc_header"><?php echo t("Ταχυδρομικός κώδικας") . " " . $zip_code . " :: " . t("Επιλογή περιοχής"); ?></div>
<table id="sc_table">
    <tr id="areas">
        <td class="sc_label"><?php echo t("Πόλη ή Περιοχή"); ?></td>
        <td>
            <select id="cities" class="bt_listbox"></select>
        </td>
    </tr>

    <tr id="inaccessible_area">
        <td class="sc_label">
            <?php echo t("Πόλη ή Περιοχή"); ?>
        </td>
        <td>
            <input type="text" name="area_name" id="area_name" class="bt_listbox" style="min-width:250px" value="<?php echo $area_name; ?>">
        </td>
    </tr>

    <tr>
        <td class="sc_label" style="vertical-align: top; padding-top: 5px;">
            <input type="checkbox" name="inaccessible" id="inaccessible" value="1" style="margin-top: 10px" onclick="manageInaccessible(this)">
        </td>
        <td>
            <span class="inaccessible_text"><?php echo t("Η περιοχή μου δεν εμφανίζεται (άλλη δυσπρόσιτη περιοχή)"); ?></span>
        </td>
    </tr>

    <tr>
        <td>&nbsp;</td>
        <td>
            <input type="button" id="accept_city" class="sc_button rainbow" style="color:white;" value="<?php echo t("Επιλογή", $langID, "select"); ?>" onclick="selectCity()">
            <input onclick="parent.$.fancybox.close()" type="button" id="cancel_city" class="sc_button sc_cancel" value="<?php echo t("Ακύρωση και Επιστροφή"); ?>">
        </td>
    </tr>
</table>
</body>
</html>
