<?php
defined('CMS') or die("This file cannot run this way!");
class dates
{


    function getGreekDate($givenDate) {
        if (!(1 === preg_match('~^[1-9][0-9]*$~', $givenDate))) {
            $d = ((preg_match('/\//', $givenDate))) ? $this->makeTimestamp($givenDate) : time();
        } else {
            $d = $givenDate;
        }
        if (gmdate('Y', $d) == 1970) $d = time();
        $days = Array(
            t('Κυριακή'),
            t('Δευτέρα'),
            t('Τρίτη'),
            t('Τετάρτη'),
            t('Πέμπτη'),
            t('Παρασκευή'),
            t('Σάββατο')
        );

        $months = Array(
            t('Ιανουαρίου'),
            t('Φεβρουαρίου'),
            t('Μαρτίου'),
            t('Απριλίου'),
            t('Μαΐου'),
            t('Ιουνίου'),
            t('Ιουλίου'),
            t('Αυγούστου'),
            t('Σεπτεμβρίου'),
            t('Οκτωβρίου'),
            t('Νοεμβρίου'),
            t('Δεκεμβρίου')
        );
        return $days[gmdate('N', $d)] . ' ' . gmdate('d', $d) . ' ' . $months[gmdate('n', $d) - 1] . ' ' . gmdate('Y', $d);
    }

    function makeTimestamp($givenDate, $withTime = false) {
        if (!$givenDate || !preg_match('/\//', $givenDate)) return time();
        global $langExtension;
        $theDate = explode("/", $givenDate);
        if ($langExtension == "_gr" || empty($langExtension)) {
            $day = $theDate[0];
            $month = $theDate[1];
            $year = $theDate[2];
        } else {
            $day = $theDate[1];
            $month = $theDate[0];
            $year = $theDate[2];
        }
        $hour = ($withTime) ? gmdate("H") : 0;
        $minute = ($withTime) ? gmdate("i") : 0;
        $second = ($withTime) ? gmdate("s") : 0;
        $timestamp = gmmktime($hour, $minute, $second, $month, $day, $year);
        return $timestamp;
    }

    function getGreekMonth($givenDate = null) {
        if (!(1 === preg_match('~^[1-9][0-9]*$~', $givenDate))) {
            $d = ((preg_match('/\//', $givenDate))) ? $this->makeTimestamp($givenDate) : time();
        } else {
            $d = $givenDate;
        }
        if (gmdate('Y', $d) == 1970) $d = time();
        $months = Array(
            'Ιανουάριος',
            'Φεβρουάριος',
            'Μάρτιος',
            'Απρίλιος',
            'Μάιος',
            'Ιούνιος',
            'Ιούλιος',
            'Αύγουστος',
            'Σεπτέμβριος',
            'Οκτώβριος',
            'Νοέμβριος',
            'Δεκέμβριος'
        );
        return $months[gmdate('n', $d) - 1];
    }

    function getGreekTimestamp($day, $month, $year, $hour, $minutes) {
        $thedate = DateTime::createFromFormat("j-n-Y G:i", "$day-$month-$year $hour:$minutes", new DateTimeZone("Europe/Athens"));
        return date_format($thedate, 'U');
    }

    function getCopyRightYears() {
        global $parameters;
        $start_copyright_year = $parameters->getParameter('start_copyright_year');
        $currentyear = gmdate("Y");
        $copyRightYears = ($currentyear > $start_copyright_year) ? $start_copyright_year . "-" . $currentyear : $currentyear;
        return $copyRightYears;
    }

    function makeDatefromTimestamp($timestamp, $withTime = false) {
        global $langExtension;
        if (!$withTime) {
            if ($langExtension == "_gr" || empty($langExtension)) {
                return gmstrftime("%d/%m/%Y", $timestamp); // greek format without time
            } else {
                return gmstrftime("%m/%d/%Y", $timestamp); // english format without time
            }
        }
        // $time is true
        $time = getdate($timestamp);
        $hours = sprintf("%02d", $time['hours']);
        $minutes = sprintf("%02d", $time['minutes']);
        $seconds = sprintf("%02d", $time['seconds']);
        $time = $hours . ":" . $minutes . ":" . $seconds;
        if ($langExtension == "_gr" || empty($langExtension)) {
            return gmstrftime("%d/%m/%Y", $timestamp) . "&nbsp;&nbsp;" . $time; // greek format with time included
        } else {
            return gmstrftime("%m/%d/%Y", $timestamp) . "&nbsp;&nbsp;" . $time; // english format with time included
        }
    }

    function isDate($givenDate) {
        global $langExtension;
        if (is_numeric($givenDate)) {
            $month = gmdate('m', $givenDate);
            $day = gmdate('d', $givenDate);
            $year = gmdate('Y', $givenDate);
        } else {
            $theDate = explode("/", $givenDate);
            if ($langExtension == "_gr" || empty($langExtension)) {
                $day = $theDate[0];
                $month = $theDate[1];
                $year = $theDate[2];
            } else {
                $day = $theDate[1];
                $month = $theDate[0];
                $year = $theDate[2];
            }
        }
        if (checkdate($month, $day, $year)) return true;
        return false;
    }


} // end class
?>