<?php 
defined('CMS') or die("This file cannot run this way!");
class language{
	
	var $langID = NULL;
	
	function getText($key, $langID=NULL, $context=NULL){
    if($context == "null") return NULL;
		if(empty($langID)) global $langID;
		global $initialAdminLanguage;
		if(!empty($initialAdminLanguage)){
			$langID = ($langID) ? $langID : $initialAdminLanguage;
		}else{
			$langID = ($langID) ? $langID : $this->getCurrentLanguage();
		}
		global $db;
		// if we don't permit html in keys and translations
		//$key = htmlspecialchars ($key, ENT_QUOTES);
		$key = str_replace('"', "&#034;", $key);
		$key = str_replace("'", "&#039;", $key);
		$context = str_replace('"', "&#034;", $context);
		$context = str_replace("'", "&#039;", $context);			
		$q = "select distinct translations.content as translation from `translations`, `keys` where binary(keys.key)='$key' and keys.id=translations.keyID and translations.langID='$langID' ";
		if(!empty($context)) $q.="and keys.context='$context' ";
		$translation = NULL;
		$res = $db->getRecord($q);
		if(!empty($res)){
			if(property_exists($res, "translation")){
				$translation = $res->translation;
				$translation = str_replace("&#034;", '"', $translation);
				$translation = str_replace("&#039;", "'", $translation);				
			}
		}
		return ($translation) ? chop($translation) : chop($key);
	}	
   
	function getDefaultLanguage($ignoreAdmin=false){
		global $initialAdminLanguage;
		if(!empty($initialAdminLanguage) && !$ignoreAdmin) return $initialAdminLanguage;
		global $db;
		$row = $db->getRecord("select id from languages where defaultlanguage=1");
		$this->langID = $row->id;
		$langID = $this->langID;
		return $langID;
	}
   
   
   	function getLanguageByExtension($languageExt){
		global $db;
		$row = $db->getRecord("select id from languages where extension='$languageExt' ");
		$this->langID = $row->id;
		return ($this->langID) ? $this->langID : NULL ;
	}
   
   
   	function getLanguageExtension($langID){
		global $db;
		$q = "select extension from languages where id='$langID'";
		if($db->getNumRows($q)){
			$row = $db->getRecord($q);
			return (!$row->extension)? "_gr" : $row->extension;
		}else{
			return false;
		}
	}
	
	function getLanguageTitle($langID){
		global $db;
		$q = "select title from languages where id='$langID'";
		$title = $db->getRecord($q)->title;
		return t($title);
	}
   
   	function isMultilingualSite(){
		global $db;
		$rows = $db->getNumRows("select * from languages where active=1 ");
		return ($rows > 1) ? true : false;
	}
	
	function getActiveLanguages(){
		global $db;
		$records = $db->getRecords("select * from languages where active=1 order by defaultlanguage");
		return $records;

	}
   
   	function isLanguageExists($ext){
		global $db;
		$record = $db->getRecord("select id from languages where extension='$ext' ");
		return ($record->id) ? true : false;
	}
	
   	function isLanguageActive($langID){
		global $db;
		$record = $db->getRecord("select id from languages where id='$langID' and active=1");
		return ($record->id) ? true : false;
	}	
   
 	function setCurrentLanguage($langID){
		if(!$langID || !$this->isLanguageActive($langID)) $langID = $this->getDefaultLanguage();
		global $db;
		$q = "select id from languages where id='$langID' and active=1";
		if($db->getNumRows($q)){
			$_SESSION['currentLanguage'] = $langID;
			return true;
		}else{
			return false;
		}   
	}
	
 	function getCurrentLanguage(){
		global $initialAdminLanguage;
		if(!empty($initialAdminLanguage)){
			global $langID;
			return ($langID) ? $langID : $initialAdminLanguage;
		}
		if(!$_SESSION['currentLanguage']){
			$_SESSION['currentLanguage'] = $this->getDefaultLanguage();
		}
		return $_SESSION['currentLanguage'];  
	}
	
	function isTranslationExists($keyID, $langID){
	  	global $db;
		$rows = $db->getNumRows("select id from translations where keyID='$keyID' and langID='$langID' ");
		return ($rows) ? true : false;
	}
	
	function displayLanguageMenu($mode="flags", $width=30, $height=18){
		$currentLanguage = $this->getCurrentLanguage();
		global $db;
		global $variables;
		global $sef;
		if(!is_object($sef)) $sef = new sef();
		global $document;
		global $parameters;
		$sefEnabled = $parameters->getParameter("sef");		
		$q="select * from languages where active=1 order by defaultlanguage";
		$records = $db->getRecords($q);
		if(!count($records)) return false;
		$path = "mediabank/flags/";	
		$templatePath = $document->getTemplatePath()."images/";
		if($mode == "list"){
			$formMethod = "get";
			$row = $db->getRecord("select * from languages where id='$currentLanguage' ");
			$extension = ($row->extension) ? $row->extension : "_gr";
			
			 // first check if a custom flag icon exists in template's images
			$filename = $templatePath."flag".$extension.".png";
			if(@fopen($filename, "r")) {
				$flag = $filename;
			}else{ 
				// try to locate system flag icon
				$filename = $path."flag".$extension.".png";
				if(is_file($filename)) $flag = $filename;
			}
			$required = NULL;
			$link = $variables->clearQueryString($required);
			$link = str_replace("&amp;", "&", $link);
			$symbol = preg_match('/\?/', $link) ? "&" : "?";
			?>	
		<script>
		function getLanguageSEFURL(){
			var url = "<?php echo getBase().$link;?>";
			url += "<?php echo $symbol;?>langID=" + $('#changeLanguage').val();
			jQuery.ajax({
				type: "POST",
				url: "getSefURL.php",
				data: "url=" + encodeURIComponent(url),
				async: false,
				success: function(sefURL){
					document.location.href = sefURL;
				}
			});
		}
		</script>			
			<form id="chl" name="chl" method="<?php echo $formMethod;?>" action="">
			<img src="<?php echo $flag;?>" alt="<?php echo $row->title_translated;?>" title="<?php echo $row->title_translated;?>">
			<select name="langID" id="changeLanguage" onchange="getLanguageSEFURL()">
			<option value="">Change language</option>
			<?php
			foreach($records as $row){
				if($row->id <> $currentLanguage){
					$extension = ($row->extension) ? $row->extension : "_gr";
					if($extension == "_gr") $row->title_translated = "Ελληνικά";
					$filename = $path."flag".$extension.".png";
					if(is_file($filename)) $flag = $filename;
					
					?>
					<option value="<?php echo $row->id;?>"><?php echo $row->title_translated;?></option>
					<?php 
}
			}
			?>
			</select>		
			</form>
			<?php 
}
		if($mode == "flags"){
            echo '<div class="language_flags">';
			foreach($records as $row){
				$extension = ($row->extension) ? $row->extension : "_gr";
				if($extension == "_gr") $row->title_translated = "Αλλαγή γλώσσας σε Ελληνικά";
				
				 // first check if a custom flag icon exists in template's images
				$filename = $templatePath."flag".$extension.".png";
				if(is_file($filename)) {
					$flag = $filename;
				}else{
					// try to locate system flag icon
					$filename = $path."flag".$extension.".png";
					$flag = $filename;
				}


				if($row->id != $currentLanguage){
					$required = NULL;
					if(!preg_match('/^section=/',  $_SERVER['QUERY_STRING'])){
						$required = "section=odyssey_index&view=odyssey_index&";
					}
					$link = $variables->clearQueryString($required);
					$link.= (preg_match('/\?/', $link)) ? "&" : "?";
					$link.= "langID=".$row->id;	
					$row->title_translated = ($row->title_translated != "Αλλαγή γλώσσας σε Ελληνικά") ? "Change language to ".$row->title_translated : $row->title_translated;
				?>
				<a href="<?php echo $sef->url($link, false);?>"><img src="<?php echo $flag;?>" alt="<?php echo $row->title_translated;?>" title="<?php echo $row->title_translated;?>" width="<?php echo $width;?>" height="<?php echo $height;?>" style="margin-bottom:-5px"></a>
				<?php 
}							
			}
            echo '</div>';
		}
		if($mode == "text"){
			foreach($records as $row){
				$extension = (!empty($row->extension)) ? $row->extension : "_gr";
				if($extension == "_gr") {
					$row->title_translated = "Αλλαγή γλώσσας σε Ελληνικά";
				}
				$filename = $templatePath."flag".$extension.".png";
				
				// first try if a custom flag icon exists in template's images
				if(is_file($filename)) { 
					$flag = $filename;
				}else{
					 // try to locate system flag icon
					$filename = $path."flag".$extension.".png";
					if(is_file($filename)) $flag = $filename;
				}
				if($row->id != $currentLanguage){
					$required = NULL;
					if(!preg_match('/^section=/',  $_SERVER['QUERY_STRING'])){
						$required = "section=odyssey_index&view=odyssey_index&";
					}
					$link = $variables->clearQueryString($required);
					$link.= (preg_match('/\?/', $link)) ? "&" : "?";
					$link.= "langID=".$row->id;	
					$row->title_translated = ($row->title_translated != "Αλλαγή γλώσσας σε Ελληνικά") ? "Change language to ".$row->title_translated : $row->title_translated;
					$displayExtension = ($extension == "_gr") ? "_el" : $extension;
					$displayExtension = str_replace("_", NULL, $displayExtension);
				?>
				<li><a href="<?php echo $sef->url($link, false);?>" title="<?php echo $row->title_translated;?>"><?php echo $displayExtension;?></a></li>
				<?php 
}							
			}			
		}
	}

	
	function exportKeys($tdir='.'){
		set_time_limit(300); // 5 minutes max execution time in order to scan all php & js files for translation keys
		global $phrases;
		$start1 = " t('"; $end1 = "')";
		$start2 = ".t('"; $end2 = "')";
		$start3 = ' t("'; $end3 = '")';
		$start4 = '.t("'; $end4 = '")';
		$start5 = "(t('"; $end5 = "')";
		$start6 = '(t("'; $end6 = '")';
		$start7 = "?t('"; $end7 = "')";
		$start8 = ",t('"; $end8 = "')";
		$start9 = '?t("'; $end9 = '")';
		$start10 = ',t("'; $end10 = '")';
		$start11 = ":t('"; $end11 = "')";
		$start12 = ':t("'; $end12 = '")';
		$start13 = "? t('"; $end13 = "')";
		$start14 = ", t('"; $end14 = "')";
		$start15 = '? t("'; $end15 = '")';
		$start16 = ', t("'; $end16 = '")';
		$start17 = ": t('"; $end17 = "')";
		$start18 = ': t("'; $end18 = '")';
		$start19 = "=t('"; $end19 = "')";
		$start20 = '=t("'; $end20 = '")';
		$start21 = '+t("'; $end21 = '")';		
		$start22 = "+t('"; $end22 = "')";
		$start23 = "+t('"; $end23 = "')"; // dummy
		
		$dirs = scandir($tdir);
		$counter = 0;
		foreach($dirs as $file){
			if(is_dir($tdir.'/'.$file)){
				$folder = $file;
				unset($dirs[$counter]); // delete from current position
				$dirs[] = $file; // and move it to the end of the array
			}
			$counter++;
		}
		foreach($dirs as $file){
				if (($file == '.')||($file == '..')){
				}elseif (is_dir($tdir.'/'.$file)){						
						$this->exportKeys($tdir.'/'.$file);
				}else{
					
					if(preg_match('/^\.\/controller/', $tdir) || preg_match('/^\.\/modules/', $tdir) || preg_match('/^\.\/templates/', $tdir) || $tdir == '.') {
						if((preg_match('/.php$/', $file) || preg_match('/.js$/', $file)) && !preg_match('/^_/', $file)){
							$theFile=file($tdir.'/'.$file);
							foreach($theFile as $line){
								for($n=1; $n < 23; $n++){
									$offset = 0;
									$ended = false;
									$max=100;
									$cnt=0;
									$context_separator = '", $langID, "';									
									while($ended === false){
										if(stripos($line, ${'start'.$n}, $offset) !== false){
											$start = stripos($line, ${'start'.$n}, $offset);
											$end = stripos($line, ${'end'.$n}, $start);
											$offset = $end;
											$match = substr($line, $start+strlen(${'start'.$n}), $end - ($start+strlen(${'start'.$n})));
											if(strpos($match, $context_separator)){
												$match = str_replace($context_separator, '<context>', $match);
											}
											if(!in_array($match, $phrases)) $phrases[] = $match;
										}else{
											$ended = true;
										}
										$cnt++;
										if($cnt > $max) $ended = true; // avoid endless loop
									}	
								}
							}
						}
					}
				}
		}
		return array_unique($phrases);
	}
	
} // end class
?>