<?php 
defined('CMS') or die("This file cannot run this way!");
class menu{

    public $HTML = array();
    public $adminMode = false;
    public $tree = false;
    public $domainPath = NULL;
	
	function __construct(){
		global $domainPath;		
		$this->domainPath = $domainPath;
		$this->path = $this->domainPath.getFPath()."mediabank/icons/";
	}
	
	function displayMenu($menuType='vertical', $tableSection="menu_options_categories", $markup=false, $adminMode=false, $overrideClass, $ulID, $display=true){
		$this->adminMode = ($adminMode) ? true : $this->adminMode;
		$this->createMenuHTML($menuType, $tableSection, $parent=NULL, $markup, $ulID, $overrideClass, $display, $isSubMenu); // make native html unordered list of menu items
		return $this->HTML;
	}
			
	
	function displayActiveMenu($menuType='vertical', $tableSection="menu_options_categories", $markup=false, $adminMode=false, $overrideClass, $ulID, $display=true){
		$this->adminMode = ($adminMode) ? true : $this->adminMode;
		$this->createActiveMenuHTML($menuType, $tableSection, $parent=NULL, $markup, $ulID, $overrideClass, $display, $isSubMenu); // make native html unordered list of menu items
		return $this->HTML;
	}

    function displayTree($section, $ulID){
        $this->tree = true;
        $this->createMenuHTML('vertical', $section, $parent=NULL, true, $ulID, NULL, true);
        return $this->HTML;
    }

	function createMenuHTML($menuType="vertical", $tableSection="menu_options_categories", $parent=0, $markup, $ulID=NULL, $overrideClass, $display, $isSubMenu=FALSE){
		if($tableSection == "menu_options_categories"){
			global $auth;
			$adminLevel = $auth->getAdminLevel()+1; // if negative its not admin user
		}
		global $language;
		global $langID;
		global $db;
		$items = array();
		$q = "SELECT ".$tableSection.".id as id, 
		".$tableSection.".parent as parent,
		".$tableSection.".posX as posX,
		".$tableSection.".posY as posY,
		".$tableSection.".stepX as stepX,
		".$tableSection.".stepY as stepY,		
		".$tableSection.".sprite as sprite,
		".$tableSection.".target as target,
		content_".$tableSection.".title as title,
		content_".$tableSection.".link as link ";
		if($tableSection == "menu_options_categories") $q.=", ".$tableSection.".access as access ";
		$q.=" FROM ".$tableSection.", content_".$tableSection." 
		WHERE ".$tableSection.".id=content_".$tableSection.".catID 
		and content_".$tableSection.".langID='$langID' ";
		if($tableSection == "menu_options_categories" && $adminLevel) {
			$q.=" and ".$tableSection.".access=$adminLevel ";
		}
		$q.=" order by ".$tableSection.".sort";
		$res = $db->getRecords($q);
		foreach($res as $row){
			if($tableSection == "products_categories"){
				global $categories;
				if(!$categories->hasAccess($row->id)) continue; // skip category
			}
			$items[$row->parent][] = $row;
		}
        if(!$markup){
            $this->displayUnorderedList($menuType, $tableSection, $items, NULL, $parent, 0, $overrideClass, $display, $isSubMenu, $ulID);
            if($menuType == "vertical" && count($items)){
                echo "<script>document.getElementById('".$tableSection."').style.height = '".$_SESSION['optionHeight']*count($items[0])."px';</script>";
            }
        }else{
            if($this->tree){
                $this->getTreeMarkup($tableSection, $items, $parent, 0, 0, 0, $ulID);
            }else {
                $this->getUnorderedListMarkup($tableSection, $items, $parent, 0, 0, $ulID, $overrideClass, $display, $isSubMenu);
            }
        }
	}
	
	function createActiveMenuHTML($menuType="vertical", $tableSection="menu_options_categories", $parent=0, $markup, $ulID=NULL, $overrideClass, $display, $isSubMenu){
		global $language;
		global $langID;
		global $db;
		global $system;
		global $categories;
		$items = array();
		$tableSectionID = $system->getTableSectionID(str_replace("_categories", NULL, $tableSection));
		$fieldID = $system->getFieldID("catID", $tableSectionID);
		$q = "SELECT distinct ".$tableSection.".id as id, 
		".$tableSection.".parent as parent,
		".$tableSection.".posX as posX,
		".$tableSection.".posY as posY,
		".$tableSection.".stepX as stepX,
		".$tableSection.".stepY as stepY,		
		".$tableSection.".sprite as sprite,		
		content_".$tableSection.".title as title,
		content_".$tableSection.".link as link ";
		$q.=", ".$tableSection.".target as target ";
		$q.=" FROM ".$tableSection.", content_".$tableSection.", selectlists  
		WHERE ".$tableSection.".id=selectlists.optionID 
		and ".$tableSection.".id=content_".$tableSection.".catID 
		and selectlists.sectionID=".$tableSectionID."  
		and selectlists.fieldID=".$fieldID." 
		and content_".$tableSection.".langID='$langID' ";
		$q.=" order by ".$tableSection.".sort, content_".$tableSection.".title";	
		$res = $db->query($q);
		$registeredIDs = array();
		while ($row = $db->getRecord($res, false)){
			if($tableSection == "products_categories"){
				global $categories;
				if(!$categories->hasAccess($row['id'])) continue; // skip category
			}
			$roots = $categories->getPath($row['id'], $tableSection);
			
			foreach($roots as $id){
				if(!in_array($id, $registeredIDs)){
					$q = "SELECT distinct ".$tableSection.".id as id, 
					".$tableSection.".parent as parent,
					".$tableSection.".posX as posX,
					".$tableSection.".posY as posY,
					".$tableSection.".stepX as stepX,
					".$tableSection.".stepY as stepY,					
					".$tableSection.".sprite as sprite,					
					content_".$tableSection.".title as title,
					content_".$tableSection.".link as link ";
					$q.=", ".$tableSection.".target as target ";
                    $q.=", ".$tableSection.".access as access ";
					$q.=" FROM ".$tableSection.", content_".$tableSection."   
					WHERE ".$tableSection.".id = $id  
					and ".$tableSection.".id=content_".$tableSection.".catID 
					and content_".$tableSection.".langID='$langID' ";
					$res2 = $db->query($q);
					$row2 = $db->getRecord($res2, false);
					if($tableSection == "products_categories"){
						global $categories;
						if(!$categories->hasAccess($row2['id'])) continue; // skip category
					}					
					$items[$row2['parent']][] = $row2;
				}
				$registeredIDs[] = $id;	
			}
			$items[$row['parent']][] = $row;
		}	
		if(!$markup){
			$this->displayUnorderedList($menuType, $tableSection, $items, $parent, 0, 0, $overrideClass, $display, $isSubMenu, $ulID);
			if($menuType == "vertical" && count($items)){
				echo "<script>document.getElementById('".$tableSection."').style.height = '".$_SESSION['optionHeight']*count($items[0])."px';</script>";
			}
		}else{
			$this->getUnorderedListMarkup($tableSection, $items, $parent, 0, 0, $ulID, $overrideClass, $display, $isSubMenu);
		}
	}	

	function displayUnorderedList($menuType, $tableSection, $items, $parent = NULL, $ULpadding=0, $LIpadding=0, $overrideClass, $display, $isSubMenu, $ulID) {
		global $categories;	
		if($menuType == "accordion"){
			$this->displayAccordionUnorderedList($tableSection, $items, $parent, $ULpadding=0, $LIpadding=0, $overrideClass, $display, $isSubMenu, $ulID);
			return;
		}
		$recordsTable = str_replace("_categories", "", $tableSection);
		$empty="";
		$ulID = ($ulID) ? $ulID : "menu".uniqid();
		$class = ($menuType == "vertical") ? ' id="'.$ulID.'" class="sf-menu sf-vertical " ' : ' class="sf-menuHorizontal " ' ;
		$class = ($menuType == "horizontal") ? ' id="'.$ulID.'" class="hMenu" ' : $class ;
		$class = ($overrideClass) ? ' id="'.$ulID.'" class="'.$overrideClass.'"' : $class; // override default superfish class
		$sef = new sef();
		$params = new parameters();	
		$hasSEF = (int)$params->getParameter("sef");	
		$index = $parent == NULL ? '0' : $parent;
		if(empty($items[$index])) return;
		$LIpadding++;
		echo str_pad($empty, $ULpadding, "	", STR_PAD_LEFT).'<ul', $parent == NULL ? $class : '', '>'.PHP_EOL;
		$ULpadding++;
		$allOptions = count($items[$index]);
		$counter = 0;
		$firstChild = false;
		$lastChild = false;
		foreach ($items[$index] as $child) {
			$firstChild = ($index == 0 && $counter == 0);
			$lastChild = ($index == 0 && $counter == ($allOptions-1));
			$counter++;
			$class = NULL;	
			$class = ($firstChild)	 ? 'first-child' : NULL;
			if(empty($class)) $class = ($lastChild)	 ? 'last-child' : NULL;
			global $document;
			/*
			if($child->title == $document->currentMenu){
				$class = ($class) ? 'class="'.$class.' selected"' : 'class="selected"';
			}
			*/
			if($index==0){
				$class = ($class) ? $class.' rootItem' : 'class="rootItem"';
			}
			if(!preg_match('/^class/', $class) && $class) $class = 'class="'.$class.'"';
			$padding = ($child->stepX) ? 2 : 0;
			$id = $child->id;
			$prefix = $tableSection."_";
			global $spritePath;
			global $spriteExt;
			$bgFile = $spritePath.$child->sprite.".".$spriteExt;			
			$hasIcon = ($child->stepX && $child->stepY && $child->sprite && is_file($bgFile));
			$icon = ($hasIcon) ? "<div class='menu_icon' style='width:".$child->stepX."px; height:".$child->stepY."px; background: url(".$bgFile.") ".$child->posX."px ".$child->posY."px no-repeat; '></div>" : NULL;
			$lineHeight = ($icon)? ' style="line-height:'.$child->stepY.'px" ' : NULL;
			$style = ($icon) ? " style='padding-left: ".$padding."px !important; text-align:left' " : NULL;	
			if(!$child->link) $child->link="index.php?section=".str_replace("_categories", NULL, $tableSection)."&view=list&catID=".$child->id;
			$link = ($this->adminMode) ? "?action=edit&category=".$child->id : $child->link;
			$target = $child->target;
			$target = ($target != "_self") ? ' target="'.$target.'" ' : NULL;
			if($categories->isParent($child->id, $tableSection)) {
				$link = ($this->adminMode) ? $link : $sef->url($link, false);
			}else{
				if(preg_match('/^content.php/', $link) || $tableSection == "menu_options_categories"){
					if(!preg_match('/^javascript:/', $link) && !$this->adminMode){
						$link.= (strstr($link, "?")) ? "&category=".$child->id : "?category=".$child->id;
					}
				}else{
					if(!preg_match('/category=/', $link)) { // use sef url only if it is not admin menu
						$link = $sef->url($link, false);
						$linkClass = 'class="node"';
					}
				}
			}
			$callMenuID = (preg_match('/^callMenu_/', $child->link)) ? " id='".$child->link."'" : NULL;	
			if($callMenuID) $link = "javascript:void(0)";
			echo str_pad($empty, $LIpadding, "	", STR_PAD_LEFT).'<li ', $lineHeight, 'data-optionID="', $child->id, '" ', $class.$callMenuID, '>', '<a '.$linkClass.' href="'.$link.'" '.$style.$target.'>'.$icon.$child->title.'</a>'.PHP_EOL;
			if(preg_match('/^callMenu_/', $child->link)){
				list($temp, $menu_section) = explode("callMenu_", $child->link);
				$menu_section.="_categories";		
				$this->createMenuHTML("vertical", $menu_section, 0, $markup, $ulID, NULL, $display, TRUE);
			}
			$this->displayUnorderedList($menuType, $tableSection, $items, $child->id, $ULpadding, $LIpadding, $overrideClass, $display, $isSubMenu, $ulID);
			echo str_pad($empty, $LIpadding, "	", STR_PAD_LEFT).'</li>'.PHP_EOL;
		}
		echo str_pad($empty, $ULpadding-1, "	", STR_PAD_LEFT).'</ul>'.PHP_EOL;
	}
	
	
	
	
	function displayAccordionUnorderedList($tableSection, $items, $parent = NULL, $ULpadding=0, $LIpadding=0, $overrideClass, $display, $isSubMenu, $ulID) {
		$ancorRel = NULL;
		$ancorClass = NULL;
		$class = (!$isSubMenu) ? ' class="vMenu"' : NULL;
		$ulID = ($ulID) ? $ulID : "menu".uniqid();
		$empty="";
		global $categories;
		$params = new parameters();
		$icon_width = (int)$params->getParameter("icon_width");
		if($tableSection != "menu_options_categories"){
			$sef = new sef();
			$hasSEF = (int)$params->getParameter("sef");
		}else{
			$hasSEF = false;
		}
		global $category;	
		global $catID;	
		global $section;
		$compareSection = $section."_categories";				
		$index = $parent == NULL ? '0' : $parent;
		if(empty($items[$index])) return;
		$LIpadding++;
		echo str_pad($empty, $ULpadding, "	", STR_PAD_LEFT).'<ul id="'.$ulID.'"', $parent == NULL ? $class : '', '>'.PHP_EOL;
		$ULpadding++;
		foreach ($items[$index] as $child) {
			$padding = ($child->stepX) ? $child->stepX + 13 : $icon_width + 13;	
			$leftMargin = ($categories->isRoot($parent) && $tableSection == "menu_options_categories") ? ($padding-13)."px " : NULL;	
			$ancorClass = ($ULpadding == 1 && !$isSubMenu) ? ' class="root" ' : NULL;
			global $spritePath;
			global $spriteExt;
			$bgFile = $spritePath.$child->sprite.".".$spriteExt;	
			$hasIcon = ($child->stepX && $child->stepY && $child->sprite && is_file($bgFile));
			$icon = ($hasIcon) ? "<div class='menu_icon' style='width:".$child->stepX."px; margin-left: -".($child->stepX +10)."px; height:".$child->stepY."px; background: url(".$bgFile.") ".$child->posX."px ".$child->posY."px no-repeat; '></div>" : NULL;
			$lineHeight = ($icon)? ' style="line-height:'.$child->stepY.'px" ' : NULL;
			if(!$child->link) $child->link="index.php?section=".str_replace("_categories", NULL, $tableSection)."&view=list&catID=".$child->id;
			$link = ($this->adminMode) ? "?action=edit&category=".$child->id : $child->link;
			$target = $child->target;
			$target = ($target != "_self") ? ' target="'.$target.'" ' : NULL;			
			if($categories->isParent($child->id, $tableSection)) {
				$link = ($this->adminMode) ? $link : "javascript:void(0)";
				$ancorRel= ($ULpadding != 1 || $isSubMenu) ? ' data-option="header" ' : NULL;
			}else{
				if($ULpadding != 1 || $isSubMenu) $ancorRel = ' data-option="leaf" ';
				if(preg_match('/^content.php/', $link) || $tableSection == "menu_options_categories"){
					if(!preg_match('/^javascript:/', $link) && !$this->adminMode){
						$link.= (strstr($link, "?")) ? "&category=".$child->id : "?category=".$child->id;
					}
				}else{
					if(!preg_match('/category=/', $link)) $link = $sef->url($link, false);
				}
			}
			$sectionMatch = ($tableSection == $compareSection);
			$sectionMatch = ($tableSection == "menu_options_categories") ? true : $sectionMatch;
			$LIclass = (($child->id == $category || $child->id == $catID) && $sectionMatch && !$categories->isParent($child->id, $tableSection)) ? ' class="active" ' : NULL;
			$callMenuID = (preg_match('/^callMenu_/', $child->link)) ? " id='".$child->link."'" : NULL;	
			if($callMenuID) $link = "javascript:void(0)";			
			echo str_pad($empty, $LIpadding, "	", STR_PAD_LEFT).'<li'.$callMenuID.' '.$LIclass.' data-optionID="', $child->id, '" ', '>', '<a '.$ancorRel.' href="'.$link.'" '.$ancorClass.$target.$lineHeight.'>'.$icon.$child->title.'</a>'.PHP_EOL;
			if(preg_match('/^callMenu_/', $child->link)){
				list($temp, $menu_section) = explode("callMenu_", $child->link);
				$menu_section.="_categories";
				$this->createMenuHTML("accordion", $menu_section, 0, $markup, $ulID, NULL, $display, TRUE);
			}
			$this->displayAccordionUnorderedList($tableSection, $items, $child->id, $ULpadding, $LIpadding, $overrideClass, $display, $isSubMenu, $ulID);
			echo str_pad($empty, $LIpadding, "	", STR_PAD_LEFT).'</li>'.PHP_EOL;
		}
		echo str_pad($empty, $ULpadding-1, "	", STR_PAD_LEFT).'</ul>'.PHP_EOL;
	}	


	function getUnorderedListMarkup($tableSection, $items, $parent = NULL, $ULpadding=0, $LIpadding=0, $ulID, $overrideClass, $display, $isSubMenu) {
		global $optionsHTML;
		if(!$display){
			if(!is_array($optionsHTML)) $optionsHTML = array();
		}
		$empty="";
		$ULclass = ($overrideClass) ? ' class="'.$overrideClass.'"' : NULL; // set any given class
		$ulID = ($ulID) ? $ulID : "menu".uniqid();
		global $categories;
		$sef = new sef();
		$params = new parameters();	
		$hasSEF = (int)$params->getParameter("sef");	
		$index = ($parent == NULL) ? '0' : $parent;
		if(empty($items[$index])) return;
		$LIpadding++;
		$ulID = ($ulID) ? ' id="'.$ulID.'"' : NULL;
		$ulID = ($ULpadding == 0) ? $ulID : NULL;
		$contents = '<ul'. $ulID. (($parent == NULL) ? $ULclass : ''). '>'.PHP_EOL;
		if(!$display) $optionsHTML[] = $contents;
		if($display)	echo str_pad($empty, $ULpadding, "	", STR_PAD_LEFT).'<ul', $ulID, $parent == NULL ? $class : '', '>'.PHP_EOL;
		$ULpadding++;
		$allOptions = count($items[$index]);
		$counter = 0;
		$firstChild = false;
		$lastChild = false;
		foreach ($items[$index] as $child) {
			$firstChild = ($index == 0 && $counter == 0);
			$lastChild = ($index == 0 && $counter == ($allOptions-1));
			$counter++;
			$class = NULL;	
			$class = ($firstChild) ? ' first-option ' : NULL;
			if(empty($class)) $class = ($lastChild) ? ' last-option ' : NULL;
			global $document;
			//if($child->title == $document->currentMenu)	$class.=  ' selected ';
			if($index==0)	$class.= ' rootItem ';
			$id = $child->id;
			if(!$child->link) $child->link="index.php?section=".str_replace("_categories", NULL, $tableSection)."&view=list&catID=".$child->id;
			$link = ($this->adminMode) ? "?action=edit&category=".$child->id : $child->link;
			$target = $child->target;
			$target = ($target != "_self") ? ' target="'.$target.'" ' : NULL;
			$parentClass = NULL;
			if($categories->isParent($child->id, $tableSection)) {
				$parentClass = " dir ";
				$link = ($this->adminMode) ? $link : $sef->url($link, false);
			}else{
				if(preg_match('/^content.php/', $link) || $tableSection == "menu_options_categories"){
					if(!preg_match('/^javascript:/', $link) && !$this->adminMode){
						$link.= (strstr($link, "?")) ? "&category=".$child->id : "?category=".$child->id;
					}
				}else{
					if(!preg_match('/category=/', $link)) { // use sef url only if it is not admin menu
						$permalink = $link;
						$link = $sef->url($link, false);
					}
				}
			}
			list($qs, $sd) = explode("&session_data", $_SERVER['QUERY_STRING']);
			$uri = "index.php?".$qs;
			$sefURL = $sef->url($uri, false);
			list($url, $qs) = explode("?", $sefURL); // remove non sef query string
			list($search_url, $temp) = explode("/categories/", $url);
			$callMenuID = (preg_match('/^callMenu_/', $child->link)) ? " id='".$child->link."'" : NULL;	
			if($callMenuID) $link = "javascript:void(0)";		
			$currentClass = ((($url == $link) || ($search_url == $link)) && empty($callMenuID)) ? ' current ' : NULL;
			$class = (preg_match('/^class/', $class)) ? $class.$currentClass.$parentClass : 'class="'.$class.$currentClass.$parentClass.'"';
			$class = str_replace("class", " class", $class);
			if($class == ' class=""') $class = NULL;
			$contents = str_pad($empty, $LIpadding, "	", STR_PAD_LEFT).'<li'.$class.$callMenuID.' data-optionID='.$child->id.'><a href="'.$link.'" '.$target.'>--startWrapText--'.$child->title.'--endWrapText--</a>';
			
			if(!$display) $optionsHTML[] = $contents;
			if($display){
				$contents = str_replace("--startWrapText--", NULL, $contents);
				$contents = str_replace("--endWrapText--", NULL, $contents);
				echo($contents);	
			}
			if(preg_match('/^callMenu_/', $child->link)){
				list($temp, $menu_section) = explode("callMenu_", $child->link);
				$menu_section.="_categories";
				$this->createMenuHTML("vertical", $menu_section, 0, TRUE, $ulID, NULL, $display, TRUE);
			}
			$this->getUnorderedListMarkup($tableSection, $items, $child->id, $ULpadding, $LIpadding, $ulID, $overrideClass, $display, $isSubMenu);
			$contents = '</li>'.PHP_EOL;
			if(!$display) $optionsHTML[] = $contents;
			if($display)	echo($contents);				
		}
		$contents = str_pad($empty, $ULpadding-1, "	", STR_PAD_LEFT).'</ul>'.PHP_EOL;
		if(!$display) $optionsHTML[] = $contents;
		if($display)	echo($contents);	
		if(!$display){
			return $optionsHTML;	
		}
	}

    function getTreeMarkup($tableSection, $items, $parent = NULL, $level=0, $ULpadding=0, $LIpadding=0, $ulID) {
        global $langID, $categories;
        $content_table = "content_" . $tableSection;
        $category = $_REQUEST['category'];
        $collapse = $_REQUEST['collapse'];
        $display = ($collapse) ? "none" : "inline";
        $icon = ($collapse) ? "plus" : "minus";
        $tab = 10; //distance per tab
        $ulID = ($ulID) ? $ulID : "menu" . uniqid();
        $index = ($parent == NULL) ? '0' : $parent;
        if (empty($items[$index])) return;
        $LIpadding++;
        $ulID = ($ulID) ? ' id="' . $ulID . '"' : NULL;
        $ulID = ($ULpadding == 0) ? $ulID : NULL;
        echo '<ul' . $ulID . '>';
        if($ulID && ($_REQUEST['action'] == "list" || $_REQUEST['action'] == "edit")){
            echo '<li data-id="0">';
            echo '<div id="root_target" data-id="0"><a class="admin_category_item_root" style="cursor: default;"> -- root -- </a></div>';
            echo '</li>';
        }
        $ULpadding++;
        $counter = 0;
        foreach ($items[$index] as $child) {
            $categoryName = $categories->getCategoryName($child->id, $content_table, $langID);
            $counter++;
            if($categories->isParent($child->id, $tableSection)){
                echo '<li class="tree_item" data-id="' . $child->id . '">';
                echo '<div class="tree_drop_target" style="white-space: nowrap" data-id="' . $child->id . '" data-parent="'. $child->parent.'">';
                echo '<a href="javascript:void(0)" style="outline:0; color: #006699; font-weight: bold; display:inline-block; margin-left:'.$level*$tab.'px" onMouseDown="showhidetabs(\'cat'.$child->id.'\','.$child->id.');this.blur();">';
                echo '<img src="images/'.$icon.'.gif" id="img'.$child->id.'" border="0" valign="bottom" hspace="3">';
                echo '</a>';
                echo '<a href="?action=form&itemID='.$child->id.'&category='.$category.'&section='.$tableSection.'" class="edit_category_record admin_category_item">'.$categoryName;
                if($tableSection=="menu_options_categories"){
                    $checked = empty($child->access) ? NULL : "checked";
                    $color = empty($child->access) ? "#ededed" : "white";
                    echo '<div style="white-space: nowrap;">';
                    echo '<input data-savePermission="'.$child->id.'" id="chk'.$child->id.'" type="checkbox" value="1" '.$checked.'> ';
                    echo '<span id=span'.$child->id.' style="font-size: .8em; color:'.$color.'">Show in Client Admin</span>';
                    echo '</div>';
                }
                echo '</a></div>';
                echo '<span data-level="'.$level.'" id=cat'.$child->id.' style="display:'.$display.'">';
            }else{
                echo '<li class="tree_item" data-id="' . $child->id . '">';
                echo '<div class="tree_drop_target"  style="white-space: nowrap;" data-id="' . $child->id . '" data-parent="'. $child->parent.'">';
                echo '<a href="?action=form&itemID='.$child->id.'&category='.$category.'&section='.$tableSection.'" class="edit_category_record admin_category_leaf" style="display:inline-block; margin-left:'.(($level*$tab)+20).'px;">'.$categoryName;
                if($tableSection=="menu_options_categories"){
                    $checked = empty($child->access) ? NULL : "checked";
                    $color = empty($child->access) ? "#ededed" : "white";
                    echo '<div style="white-space: nowrap;">';
                    echo '<input data-savePermission="'.$child->id.'" id="chk'.$child->id.'" type="checkbox" value="1" '.$checked.'> ';
                    echo '<span id=span'.$child->id.' style="font-size: .8em; color:'.$color.'">Show in Client Admin</span>';
                    echo '</div>';
                }
                echo '<span onclick="event.preventDefault(); deleteCategory(this, \''.$tableSection.'\', \''.$child->id.'\');" class="deleteCategory"></span>';
                echo '</a>';
                echo '</div>';
            }
            $this->getTreeMarkup($tableSection, $items, $child->id, $level + 1, $ULpadding, $LIpadding, $ulID);
            echo '</li>';
        }
        echo '</ul>';
        if($level > 0) echo '</span>';

    }


} // end class
?>