<?php
/*
Odyssey view file
Filename must be like "view_sectionName.php"
Reference to controller variables must be in form $this->varName

Use $p for template path, for example $p/images/logo.png
*/


// *****************************************************************************

$autoView = false; // Warning! You need to set this to false in order to use your custom view below

// *****************************************************************************

if ($autoView) { // you may change this above, setting it as false in order to use your default view starting below

    include("view.php");

} else { // you custom layout starts here!!!


    global $langID;
    $section = $this->section;
    $sectionID = $this->sectionID;
    $item = $this->item;
    $data = view("articles/getData", $item);
    $title = ($data->title) ? $data->title : "Error";
    ?>
    <div class="inner_content">
        <div id="breadcrumb"><?php $eshop->displayBreadcrumb(); ?></div>
        <h2><?php echo $title; ?></h2>
        <div id="article_container">
            <?php
            $messages->printSystemMessages();
            if ($messages->hasErrors) {
                ?>
                <div style='height: 200px'></div>
                <?php
            } else {
                if ($data->hasDefaultImage) { // if a default image exists for this record
                    ?>
                    <a href="<?php echo $data->image; ?>" data-rel="fb" title="<?php echo $data->imgDescription; ?>" rel="fb-<?php echo $data->id; ?>">
                        <?php
                        if ($data->crop_image) {
                            ?>
                            <div class="center">
                                <?php
                                echo $data->crop_image;
                                ?>
                            </div>
                            <?php
                        } else {
                            ?>
                            <img src="<?php echo $data->image; ?>"
                                 class="main_image zoomable"
                                 alt="<?php echo $data->imgDescription; ?>"
                                 title="<?php echo $data->imgDescription . " - " . t('Κάντε κλικ για μεγέθυνση'); ?>">
                            <?php
                        }
                        ?>
                    </a>
                    <?php
                }
                ?>
                <div class="published"><?php echo $data->published; ?></div>
                <?php $content->displayFontAdjustments("right"); ?>
                <div id="article_content">
                    <?php echo $content->richText($data->body); ?>
                </div>
                <?php
                $this->includeModules("video_gallery");
                $this->includeModules("related_images");
                $this->includeModules("related_files");
                if ($item->title) {
                    $this->includeModules("social");
                    $this->includeModules("fb_comments");
                    $this->includeModules("comments");
                }
            }
            ?>
        </div>
    </div>
    <?php
}
?>

